<?php

// QuickTalk 4.0 build:20200522
// Setup 1 saves the config_site parameters
// and continues to setup_2_txt or setup_2_db

session_start();
// Language passed from qtg_setup starting page (using get method to not interfere with this page Form)
if ( isset($_GET['lang']) ) $_SESSION['qtg_setup_lang']=$_GET['lang'];
include 'qtg_setup_ini.php';
include '../config/config.php'; if ( empty($qtg_dbsystem) ) $qtg_dbsystem='file';
include '../config/config_site.php'; if ( !isset($qtg_email) ) $qtg_email=''; // empty mail disables the next button
$error = '';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // UPDATE 3.0 to 4.0

  if ( !isset($qtg_actif) ) $qtg_actif=true;
  if ( empty($qtg_type) || $qtg_type<1 || $qtg_type>3 ) $qtg_type=1;

  // check values
  
  $qtg_title = strip_tags(trim($_POST['title'])); if ( empty($qtg_title) ) $qtg_title='QuickTalk Guestbook';
  $qtg_email = strip_tags(trim($_POST['mail'])); if ( empty($qtg_email) ) $error=$L['E_email'];
  $_SESSION['repository'] = $_POST['repository'];

  // Save (language and email)
  if ( empty($error) )
  {
$str  = '<?php
$qtg_actif = '.($qtg_actif ? 'true' : 'false').';
$qtg_type = '.$qtg_type.';
$qtg_language = "'.$_SESSION['qtg_setup_lang'].'";
$qtg_menulang = '.($qtg_menulang ? 'true' : 'false').';
$qtg_skin = "'.$qtg_skin.'";
$qtg_formatdate = "'.(isset($qtg_formatdate) ? $qtg_formatdate : 'j-M-Y').'";
$qtg_formattime = "'.(isset($$qtg_formattime) ? $$qtg_formattime : 'G:i').'";
$qtg_banner = '.($qtg_banner ? 'true' : 'false').';
$qtg_title = "'.$qtg_title.'";
$qtg_home = "'.$qtg_home.'";
$qtg_email = "'.$qtg_email.'";
$qtg_show_size = '.$qtg_show_size.';
$qtg_page_size = '.$qtg_page_size.';
$qtg_use_age = '.($qtg_use_age ? 'true' : 'false').';
$qtg_use_email = '.($qtg_use_email ? 'true' : 'false').';
$qtg_use_from = '.($qtg_use_from ? 'true' : 'false').';
$qtg_use_from_type = '.$qtg_use_from_type.';
$qtg_column_default = '.($qtg_column_default ? 'true' : 'false').';
$qtg_column_change = '.($qtg_column_change ? 'true' : 'false').';
$qtg_separateform = '.($qtg_separateform ? 'true' : 'false').';
$qtg_bbc_bold = '.($qtg_bbc_bold ? 'true' : 'false').';
$qtg_bbc_italic = '.($qtg_bbc_italic ? 'true' : 'false').';
$qtg_bbc_underline = '.($qtg_bbc_underline ? 'true' : 'false').';
$qtg_bbc_url = '.($qtg_bbc_url ? 'true' : 'false').';
$qtg_bbc_smiley = '.($qtg_bbc_smiley ? 'true' : 'false').';';
  $error = saveToFile('../config/config_site.php',$str,false); // SAVE TO FILE (must exist before)
  }
}

// --------
// HTML START
// --------

if ( empty($_SESSION['repository']) ) $_SESSION['repository'] = $qtg_dbsystem==='file' ? 'file' : 'db';

include 'qtg_setup_hd.php';

echo '<form method="post" name="install" action="qtg_setup_1.php">
<div class="flex-d">
<div>
';

if ( isset($_POST['ok']) && empty($error) ) echo '<div class="setup_ok">',$L['S_save'],'</div>';

echo '<h2>',$L['Board_title'],'</h2>
<p><input type="text" name="title" value="',$qtg_title,'" size="34" maxlength="100"/></p>
<br>
<h2>',$L['Board_email'],'</h2>
<p><input type="email" name="mail" value="',$qtg_email,'" size="34" maxlength="100"/></p>
<br>
<h2>',$L['Repository'],'</h2>
<p><input type="radio" name="repository" id="repos-file" value="file"',($_SESSION['repository']==='file' ? ' checked="checked"' : ''),'><label for="repos-file">',$L['File_directory'],'</label></p>
<p><input type="radio" name="repository" id="repos-db" value="db"',($_SESSION['repository']!=='file' ? ' checked="checked"' : ''),'><label for="repos-db">',$L['Database'],'</label></p>
';

echo '</div>
<div class="setup_help">
',$L['Help_0'],'
</div>
</div>
';

echo '<p class="center"><input class="submit" type="submit" name="ok" value="',$L['Save'],'" onclick="this.style.visibility=\'hidden\';"/></p>
</form>
';

// --------
// HTML END
// --------

$strPrevUrl = 'qtg_setup.php';
$strNextUrl = ( $_SESSION['repository']==='file' ) ? 'qtg_setup_2_txt.php' : 'qtg_setup_2_db.php';

// check if new parameters are saved
if ( empty($qtg_title) || empty($qtg_email) ) $strNextUrl = ''; // disable next button

include 'qtg_setup_ft.php';