<?php

// QuickTalk 4.0 build:20200522

session_start();
include 'qtg_setup_ini.php';
include '../config/config.php';
include '../bin/class_qtg_db.php';
if ( isset($_SESSION['qtg_dbopwd']) )
{
$qtg_user = $_SESSION['qtg_dbologin'];
$qtg_pwd = $_SESSION['qtg_dbopwd'];
}
$oDB = new cDB($qtg_dbsystem,$qtg_host,$qtg_database,$qtg_user,$qtg_pwd);

$strPrevUrl = 'qtg_setup_3_db.php';
$strNextUrl = 'qtg_setup_9.php';
$strMessage='';

// Search version and Check !

$strVersion='';
$b = $oDB->Query( 'SELECT name FROM '.$qtg_prefix.'qtgmessage WHERE id=-1');
if ( !$b )
{
  include 'qtg_setup_hd.php';
  echo '<div class="setup_err">Problem: the table '.$qtg_prefix.'qtgmessage cannot be found.</div>';
  include 'qtg_setup_ft.php';
  exit;
}
else
{
  $row = $oDB->Getrow();
  if ( isset($row['name']) ) { $strVersion=$row['name']; } else { $strVersion='1.5'; }
}

// UPDATE 1.6

if ( $strVersion==='1.5' || $strVersion==='1.6' )
{
  $oDB->Exec( 'INSERT INTO '.$qtg_prefix.'qtgmessage (id,name,message,visible) VALUES(-1,"1.7","Version","N")');
  $strVersion='1.7';
  $strMessage.='<p>Upgrade to version '.$strVersion.' completed.</p>';
}

// UPDATE TO 1.7

if ( $strVersion==='1.6' )
{
  switch (substr($oDB->type,0,5))
  {
  case 'mysql':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate varchar(14) NOT NULL DEFAULT "0"');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY x decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY y decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY z decimal(13,2)');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=DATE_FORMAT(postdate,"%Y%m%d%H%i%s")');
    break;
  case 'mssql':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate varchar(14) NOT NULL DEFAULT "0"');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN x decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN y decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN z decimal(13,2)');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=replace(convert(varchar,postdate,102),".","") + replace(convert(varchar,postdate,108),":","")');
    break;
  case 'pg':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate varchar(14) NOT NULL DEFAULT "0"');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN x TYPE decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN y TYPE decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ALTER COLUMN z TYPE decimal(13,2)');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=TO_CHAR(postdate,"YYYYMMDDHH24MISS")');
    break;
  case 'acces':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate varchar(14)');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=str( DATEPART("yyyy",postdate)*10000+DATEPART("m",postdate)*100+DATEPART("d",postdate) )');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=issuedate & RIGHT("0" & str(DATEPART("h",postdate)*10000+DATEPART("n",postdate)*100+DATEPART("s",postdate)),6)');
    break;
  case 'sqlit':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate text DEFAULT "0"');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=postdate');
    break;
  case 'oci':
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage ADD issuedate varchar(14)  default "0" NOT NULL');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY x decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY y decimal(13,10)');
    $oDB->Exec('ALTER TABLE '.$qtg_prefix.'qtgmessage MODIFY z decimal(13,2)');
    $oDB->Exec('UPDATE '.$qtg_prefix.'qtgmessage SET issuedate=TO_CHAR(postdate,"YYYYMMDDHH24MISS")');
    break;
  }
  $strVersion = '1.7';
  $oDB->Exec( 'UPDATE '.$qtg_prefix.'qtgmessage SET name="1.7" WHERE id=-1');
  $strMessage.='<p>Upgrade to version '.$strVersion.' completed.</p>';
}

// UPDATE

if ( $strVersion==='1.7' || $strVersion==='2.0' || $strVersion==='2.5' || $strVersion==='3.0')
{
  $strVersion = '4.0';
  $oDB->Exec( 'UPDATE '.$qtg_prefix.'qtgmessage SET name="'.$strVersion.'" WHERE id=-1');
  $strMessage.='<p>Upgrade to version '.$strVersion.' completed.</p>';
}

// --------
// HTML START
// --------
if ( !isset($qtg_actif) ) $qtg_actif=true;
if ( !isset($qtg_type) ) $qtg_type=1;

include 'qtg_setup_hd.php';

echo '<p class="right" style="margin:0">';
if ( file_exists('check.php') ) echo '<a href="check.php">'.$L['Check_install'].'...</a>';
if ( file_exists('qtg_droptables.php') ) echo '| <a href="qtg_droptables.php">Drop table...</a>';
echo '</p>';

echo $strMessage;

if ( empty($error) )
{
  if ( isset($_SESSION['qtgInstalled']) )
  {
    echo $L['S_install_exit'];
    echo '<div style="width:350px; padding:10px; border-style:solid; border-color:#FF0000; border-width:1px; background-color:#EEEEEE">',$L['End_message'],'<br>',$L['User'],': <b>',$qtg_user,'</b><br>',$L['Password'],': <b>',$qtg_pwd,'</b><br></div><br>';
  }
  else
  {
    echo $L['N_install'];
  }

}
else
{
  echo '<br><p class="error">',$error,'</p>';
}

// --------
// HTML END
// --------

include 'qtg_setup_ft.php';