<?php

function saveToFile($file,$str='',$create=true)
{
  if ( empty($file) || !is_string($file) )  die('saveToFile:#1 must be a string');
  if ( !is_string($str) )  die('saveToFile:#2 must be a string');
  if ( !is_bool($create) )  die('saveToFile:#3 must be a boolean');
  $error = '';
  // Stop of no file and creation not allowed
  if ( !file_exists($file) && !$create ) return 'Impossible to open the file ['.$file.'].';
  // Update file (or create file)
  if ( !$handle=fopen($file, 'w') ) $error='Impossible to open the file ['.$file.'].';
  if ( empty($error) )
  {
    if ( fwrite($handle,$str)===FALSE )
    {
      $error = 'Impossible to write into the file ['.$file.'].';
    }
    else
    {
     fclose($handle);
    }
  }
  return $error;
}

// QuickTalk Guestbook 4.0 build:20200522

define('APPNAME','QuickTalk Guestbook');
define('VERSION','4.0.3');
define('BUILD','build:20220104');
define('APP', 'qtg');

if ( !isset($_SESSION['qtg_setup_lang']) ) $_SESSION['qtg_setup_lang']='en';

// load language
if ( file_exists('../language/'.$_SESSION['qtg_setup_lang'].'/qtg_install.php') ) { include '../language/'.$_SESSION['qtg_setup_lang'].'/qtg_install.php'; } else { include 'qtg_install.php'; } // fallback language
