<?php

// If your board accept several languages (latin origin), the charset 'windows-1252' is recommended in order to render all accents correctly.
// If your board accept english only, you can use the charset 'utf-8'.
if ( !defined('QT_HTML_CHAR') ) define ('QT_HTML_CHAR', 'utf-8');
if ( !defined('QT_HTML_DIR') ) define ('QT_HTML_DIR', 'ltr');
if ( !defined('QT_HTML_LANG') ) define ('QT_HTML_LANG', 'en');

// QTG specific vocabulary

$L['Sign1']='Sign the guestbook...';
$L['Sign2']='Add words of condolences...';
$L['Sign3']='Add a news...';
$L['Return1']='Return to the guestbook';
$L['Return2']='Return to the book';
$L['Return3']='Return to the news page';

$L['About']='Privacy&nbsp;and&nbsp;legals';
$L['Administration']='Administration';
$L['Age']='Age';
$L['and']='and';
$L['Cancel']='Cancel';
$L['Date']='Date';
$L['Delete']='Delete';
$L['Delete_my_message']='Delete my message';
$L['Deleting']='Deleting';
$L['Done']='Done...';
$L['Edit']='Edit';
$L['Edit_my_message']='Edit my message';
$L['Email']='E-mail';
$L['Exit']='Exit';
$L['First']='First';
$L['From']='From';
$L['HSecurity']='Copy the security code';
$L['Publish']='Accept (make it visible)';
$L['Unhide_by_reviewer']='Message must be reviewed:';
$L['Home']='Home';
$L['Image']='Image';
$L['Last']='Last';
$L['Location']='Location';
$L['Login']='Log in';
$L['Logout']='Log out';
$L['Mandatory_fields']='Mandatory fields';
$L['Message']='Message'; $L['Messages']='Messages';
$L['Message_deleted']='Message deleted';
$L['Message_send']='Message send. Thank you...';
$L['More']='[more]'; $L['Less']='[less]';
$L['Name']='Name';
$L['Next']='Next';
$L['None']='None';
$L['No']='No';
$L['Ok']='Ok';
$L['Page']='page';
$L['Pages']='pages';
$L['Password']='Password';
$L['Previous']='Previous';
$L['Return_administration']='Return to administration';
$L['Search']='Search';
$L['Security']='Security';
$L['Send']='Send';
$L['Site']='Site';
$L['Text']='Text';
$L['Total']='Total';
$L['User']='User';
$L['Username']='Username';
$L['Version']='Version';
$L['View_col']='View column';
$L['View_std']='View standard';
$L['Welcome']='Welcome';
$L['Wait']='Wait';
$L['Yes']='Yes';

// Success

$L['Message_review']='Your message will be reviewed before publication';
$L['Update_successfull']='Update successfull';
$L['Delete_successfull']='Delete completed';

// Error

$L['E_email']='Unknown e-mail format (empty e-mail is allowed)';
$L['E_invalid']='invalid';
$L['E_no_selection']='The repository doesn\'t contain messages matching with these criterias.';
$L['E_access_denied']='Access denied';
$L['E_ip_denied']='Access denied for your ip';
$L['E_size']='Problem in the message size...';
$L['E_language']='Problem in the message language...';
$L['E_code']='Invalid security code...';
$L['E_wait']='Please wait a few seconds...';
$L['E_maxday']='Maximum post per day exceeded.<br>Try again tomorrow...';
$L['E_mandatory']='Mandatory field is empty';
$L['E_editing']='Data not yet saved. Quit without saving?';

// Dates: dateSQL can contain html characters, dateMMM cannot

$L['dateSQL']=array(
'January'  => 'January',
'February' => 'February',
'March'    => 'March',
'April'    => 'April',
'May'      => 'May',
'June'     => 'June',
'July'     => 'July',
'August'   => 'August',
'September'=> 'September',
'October'  => 'October',
'November' => 'November',
'December' => 'December',
'Monday'   => 'Monday',
'Tuesday'  => 'Tuesday',
'Wednesday'=> 'Wednesday',
'Thursday' => 'Thursday',
'Friday'   => 'Friday',
'Saturday' => 'Saturday',
'Sunday'   => 'Sunday',
'Today'    => 'Today',
'Yesterday'=> 'Yesterday',
'Jan'=>'Jan',  
'Feb'=>'Feb',  
'Mar'=>'Mar',  
'Apr'=>'Apr',  
'May'=>'May',  
'Jun'=>'Jun',  
'Jul'=>'Jul',  
'Aug'=>'Aug',  
'Sep'=>'Sep',  
'Oct'=>'Oct',  
'Nov'=>'Nov',  
'Dec'=>'Dec',  
'Mon'=>'Mon',  
'Tue'=>'Tue',
'Wed'=>'Wed',  
'Thu'=>'Thu',  
'Fri'=>'Fri',  
'Sat'=>'Sat',  
'Sun'=>'Sun');
$L['dateMMM']=array(1=>'January','February','March','April','May','June','July','August','September','October','November','December');
$L['dateMM'] =array(1=>'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
$L['dateM']  =array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');

// Icon

$L['Ico_bold']='Bold';
$L['Ico_italic']='Italic';
$L['Ico_under']='Underline';
$L['Ico_url']='Url';
$L['Ico_smiley']='Smileys';
$L['Ico_smile01']='Happy';
$L['Ico_smile02']='Sad';
$L['Ico_smile03']='Oops';
$L['Ico_smile04']='Wink';
$L['Ico_smile05']='Angry';
$L['Ico_smile06']='Surpise';
$L['Ico_smile07']='Question';
$L['Ico_smile08']='Important';
$L['Ico_smile09']='Idea';