<?php
// QuickTalk Guestbook 4.0.3 build:20220105

// Lang menu
$m = array();
if ( !defined('LANGUAGES') )
{
  $m[] = new cMenu( 'missing file:config/config_lang.php', 'tag=span|class=small' );
}
else
{
  foreach(LANGUAGES as $iso=>$str)
  {
    $arr = explode(' ',$str,2);
    $m[] = new cMenu( $arr[0], 'id=lang-'.$iso.'|href='.$oP->selfurl.'?'.GetURI('lang').'&lang='.$iso.'|title='.(isset($arr[1]) ? $arr[1] : $arr[0]) );
  }
}
$oLang = new cMenu( $m, 'id=langmenu' );

// Admin skin and js
$oHtml->links['icon'] = '<link rel="shortcut icon" href="bin/css/qtg_icon.ico" />';
$oHtml->links['css'] = '<link rel="stylesheet" type="text/css" href="bin/css/qt_base.css" />
<link rel="stylesheet" type="text/css" href="bin/css/qtg.css" />';
$oHtml->scripts[] = '<script type="text/javascript">e0 = '.(isset($L['E_editing']) ? '"'.L('E_editing').'"' : 'Data not yet saved. Quit without saving?').';</script>';

// Page message
if ( !empty($_SESSION[QT.'pagedialog']) )
{
  $oHtml->scripts_jq[] = '$(function() {
    var dlg = document.getElementById("pagedialog");
    if ( dlg )
    {
      var dlgico = document.getElementById("pagedialog-ico");
      var dlgtxt = document.getElementById("pagedialog-txt");
      if ( dlgico ) dlgico.innerHTML = \''.sPopupMsg::getTypeIcon().'\';
      var str = \''.sPopupMsg::getText().'\';
      if ( dlgtxt ) { dlgtxt.innerHTML = str; } else { dlg.innerHTML= str; }
      $("#pagedialog").fadeIn(500).delay(2000).fadeOut(800);
    }
    var dlg = document.getElementById("error-language");
    if ( dlg )
    {
	  $("#error-language").hide();
    }
  });
  ';
  sPopupMsg::Reset();
}

// START

$oHtml->title = 'Admin - '.$oHtml->title;
echo $oHtml->Head();
echo $oHtml->Body(array('onload'=>(isset($strBodyAddOnload) ? $strBodyAddOnload : null),'onunload'=>(isset($strBodyAddOnunload) ? $strBodyAddOnunload : null)));

echo '
<!-- PAGE CONTROL -->
<div class="page">

<!-- banner -->
<div id="banner">
<img class="logo" src="',$qtg_skin,'/qtg_logo',$qtg_type,'.gif" alt="QuickTalk"/>
',$oLang->output('lang-'.$_SESSION[QT]['language'],'{"tag":"span"}'),'
</div>
';

include 'qtg_adm_inc_menu.php';

echo '
<!-- START BODY BLOCK -->
<div class="body">

';