<?php
// QuickTalk Guestbook 4.0 build:20200514
session_start(); if ( empty($_SESSION['qtgAuth']) ) { header('Location: qtg_login.php'); die('Access denied.'); }

require 'qtg_init.php'; $qtg_skin='bin/css';
$oHtml->links['gmap'] = '<link rel="stylesheet" type="text/css" href="map/gmap/qt-gmap.css" />'; //forces gmap css to be included 
include getLangDir().'qtg_adm.php';
include getLangDir().'qtg_map.php';
include getLangDir().'qtg_map_adm.php';

// INITIALISE

if ( !isset($qtg_gcenter) ) $qtg_gcenter='50.8468142558,4.35238838196';
if ( !isset($qtg_mapontop) ) $qtg_mapontop=true;
if ( !isset($qtg_gzoom) ) $qtg_gzoom='6';
if ( !isset($qtg_gbuttons) ) $qtg_gbuttons='P11000';
if ( !isset($qtg_geocode) ) $qtg_geocode='0';
if ( !isset($qtg_gfind) ) $qtg_gfind='Brussels, Belgium';
if ( !isset($qtg_gsymbol) ) $qtg_gsymbol=false;

$oP->selfname=$L['Map'];
$oP->selfurl='qtg_adm_map.php';

// --------
// SUBMITTED
// --------
if ( isset($_POST['ok']) )
{
  // CHECK values
  $qtg_gkey = trim($_POST['qtg_gkey']); if ( !isset($qtg_gkey[3]) ) $qtg_gkey=false;
  if ( !isset($_POST['layouttop']) ) $_POST['layouttop']='1';
  if ( isset($_POST['qtg_gcenter']) ) { $qtg_gcenter = trim($_POST['qtg_gcenter']); } else { $qtg_gcenter = '50.8468142558,4.35238838196'; }
  if ( isset($_POST['qtg_gzoom']) ) { $qtg_gzoom = trim($_POST['qtg_gzoom']); } else { $qtg_gzoom = '5'; }
  if ( !isset($_POST['maptype']) ) $_POST['maptype']='P';
  if ( !isset($_POST['qtg_gsymbol']) ) $_POST['qtg_gsymbol']=false;
  $qtg_gbuttons = substr($_POST['maptype'],0,1).(isset($_POST['streetview']) ? '1' : '0').(isset($_POST['map']) ? '1' : '0').(isset($_POST['scale']) ? '1' : '0').(isset($_POST['overview']) ? '1' : '0').(isset($_POST['mousewheel']) ? '1' : '0');
  if ( isset($_POST['qtg_gfind']) ) { $qtg_gfind = trim($_POST['qtg_gfind']); } else { $qtg_gfind='Brussels, Belgium'; }
  if ( empty($_POST['qtg_gsymbol']) ) { $qtg_gsymbol=false; } else { $qtg_gsymbol=$_POST['qtg_gsymbol']; }
  if ( isset($_POST['qtg_geocode']) ) $qtg_geocode = (int)$_POST['qtg_geocode'];
  $qtg_mapontop = $_POST['layouttop']==='1';

  // SAVE values
  if ( empty($error) )
  {
    $strTxt = '<?php
    $qtg_gkey = "'.($qtg_gkey ? $qtg_gkey : '').'";
    $qtg_mapontop = '.($qtg_mapontop ? 'true' : 'false').';
    $qtg_gcenter = "'.$qtg_gcenter.'";
    $qtg_gzoom = "'.$qtg_gzoom.'";
    $qtg_gbuttons = "'.$qtg_gbuttons.'";
    $qtg_geocode = "'.$qtg_geocode.'";
    $qtg_gfind = "'.$qtg_gfind.'";
    $qtg_gsymbol = '.($qtg_gsymbol ? '"'.$qtg_gsymbol.'"' : 'false').';
    $qtg_gshadow = '.(file_exists('map/'.$qtg_gsymbol.'_shadow.png') ? 'true' : 'false').';';
    $error = saveToFile('config/config_map.php',$strTxt);
  }
  // exit
  $_SESSION[QT.'pagedialog'] = (empty($error) ? 'O|'.$L['S_save'] : 'E|'.$error);
}

if ( $qtg_gkey ) include 'qtg_map_lib.php';

// --------
// HTML START
// --------

$oHtml->scripts[] = '<script type="text/javascript">
function radioHighlight(id)
{
  var doc = document;
  var radios = doc.getElementsByClassName("marker");
  for(var i=radios.length-1;i>=0;i--) radios[i].style.backgroundColor="transparent";
  var imgid = "image_" + id.substring(7);
  if ( doc.getElementById(imgid) ) doc.getElementById(imgid).style.backgroundColor="#ffffff";
}
</script>
';

include 'qtg_adm_inc_hd.php';

echo '
<form method="post" action="',$oP->selfurl,'">
<div class="options">',L('map_Mapping_settings'),'</div>
<table width="100%" class="option">
<tr>
<th style="width:120px;"><span class="texthead"><label for="qtg_gkey">Google API key</label></th>
<td><input id="qtg_gkey" name="qtg_gkey" size="75" maxlength="100" value="',($qtg_gkey ? $qtg_gkey : ''),'"> *</td>
</tr>
';

//-----------
if ( $qtg_gkey ) {
//-----------

// Read png in directory (rejet 'shadow' use in v3.0 no more supported in google api) 

$intHandle = opendir('map');
$arrFiles = array();
while(false!==($strFile=readdir($intHandle)))
{
  if ( $strFile!='.' && $strFile!='..' ) {
  if ( substr($strFile,-4,4)=='.png' && !strstr($strFile,'shadow') ) {
    $arrFiles[substr($strFile,0,-4)]=ucfirst(substr(str_replace('_',' ',$strFile),0,-4));
  }}
}
closedir($intHandle);
asort($arrFiles);

echo '<tr>
<th>',L('map_Layout'),'</td>
<td>
<input type="radio" name="layouttop" value="1" id="layouttop"'.($qtg_mapontop ? QCHE : '').' /><label for="layouttop"><img src="map/gmap/layouttop.png" alt="top" title="top"/></label>
<input type="radio" name="layouttop" value="0" id="layoutbot"'.($qtg_mapontop ? '' : QCHE).' /><label for="layoutbot"><img src="map/gmap/layoutbot.png" alt="bottom" title="bottom"/></label>
 &nbsp; ',L('map_Topbottom'),'
</td>
</tr>
';

echo '<tr>
<th>',L('map_API_ctrl'),'</td>
<td>
<input type="checkbox" id="streetview" name="streetview"'.(substr($qtg_gbuttons,1,1)=='1' ? QCHE : '').' style="vertical-align: middle"/><label for="streetview">',L('map_Ctrl_streetview'),'</label>
&nbsp;<input type="checkbox" id="map" name="map"'.(substr($qtg_gbuttons,2,1)=='1' ? QCHE : '').' style="vertical-align: middle"/><label for="map">',L('map_Ctrl_background'),'</label>
&nbsp;<input type="checkbox" id="scale" name="scale"'.(substr($qtg_gbuttons,3,1)=='1' ? QCHE : '').' style="vertical-align: middle"/><label for="scale">',L('map_Ctrl_scale'),'</label>
&nbsp;<input type="checkbox" id="overview" name="overview"'.(substr($qtg_gbuttons,4,1)=='1' ? QCHE : '').' style="vertical-align: middle"/><label for="overview">',L('map_Ctrl_overview'),'</label>
&nbsp;<input type="checkbox" id="mousewheel" name="mousewheel"'.(substr($qtg_gbuttons,5,1)=='1' ? QCHE : '').' style="vertical-align: middle"/><label for="mousewheel">',L('map_Ctrl_mousewheel'),'</label>
</td>
</tr>
<tr>
<th>',L('map_Symbol'),'</td>
<td>
<input type="radio" name="qtg_gsymbol" value="0" id="symbol_0"'.($qtg_gsymbol===false ? QCHE : '').' onchange="radioHighlight(this.id);"/><label for="symbol_0"><img id="image_0" class="marker'.($qtg_gsymbol==$strFile ? ' checked' : '').'" title="default" src="bin/css/gmap_marker.png"/></label>
';
foreach ($arrFiles as $strFile=>$strName)
{
echo '<input type="radio" name="qtg_gsymbol" value="'.$strFile.'" id="symbol_'.$strFile.'"'.($qtg_gsymbol==$strFile ? QCHE : '').' onchange="radioHighlight(this.id);"/><label for="symbol_'.$strFile.'"><img id="image_'.$strFile.'" class="marker'.($qtg_gsymbol==$strFile ? ' checked' : '').'" title="'.$strName.'" src="map/'.$strFile.'.png"/></label>'.PHP_EOL;
}
echo '</td>
</tr>
<tr>
<th><label for="qtg_geocode">',L('map_Geocode_limit'),'</label></td>
<td><select id="qtg_geocode" name="qtg_geocode" size="1">',QTasTag(array(0=>'0',2=>'2',5=>'5',10=>'10'),$qtg_geocode),'</select> ',L('map_H_Geocode_limit'),'</td>
</tr>
</table>
';
echo '<div class="options">',L('map_Mapping_config'),'</div>
<table width="100%" class="option">
<tr>
<tr>
<th style="width:120px;"><label for="qtg_gcenter">',L('map_Center'),'</label></td>
<td style="width:280px;"><input type="text" id="qtg_gcenter" name="qtg_gcenter" size="28" maxlength="100" value="',$qtg_gcenter,'"/><span class="small"> ',L('map_Latlng'),'</span></td>
<td class="help">',L('map_H_Center'),'</td>
</tr>
';
echo '<tr>
<th><label for="qtg_gzoom">',L('map_Zoom'),'</label></td>
<td>
<input type="text" id="qtg_gzoom" name="qtg_gzoom" size="2" maxlength="2" value="',$qtg_gzoom,'"/></td>
<td class="help">',L('map_H_Zoom'),'</td>
</tr>
';
echo '<tr>
<th>',L('map_Background'),'</td>
<td><select id="maptype" name="maptype" size="1">',QTasTag($L['map_Back'],substr($qtg_gbuttons,0,1)),'</select></td>
<td class="help">',$L['map_H_Background'],'</td>
</tr>
';
echo '<tr>
<th><label for="qtg_gfind">',L('map_Address_sample'),'</label></td>
<td>
<input type="text" id="qtg_gfind" name="qtg_gfind" size="20" maxlength="100" value="',$qtg_gfind,'"/></td>
<td class="help">',L('map_H_Address_sample'),'</td>
</tr>
';

//-----------
}
//-----------

echo '</table>
<p style="text-align:center"><input type="submit" name="ok" value="',$L['Save'],'"/></p>
</form>
';

if ( $qtg_gkey )
{
  echo '<div class="mapservice">',PHP_EOL;
  echo '<div class="gmap">',PHP_EOL;
  echo '<p class="gmap top">',L('map_canmove'),' | <a href="javascript:void(0)" onclick="undoChanges(); return false;"/>',L('map_undo'),'</a></p>',PHP_EOL;
  echo '<div id="map_canvas"></div>',PHP_EOL;
  echo '<p class="gmap bottom">',L('map_addrlatlng');
  echo ' <input type="text" size="24" id="find" name="find" value="'.$qtg_gfind.'" title="'.L('map_H_addrlatlng').'" onkeypress="if (qtKeyEnter(event)) showLocation(this.value,null);"/>';
  echo '<i id="findit" class="qtg-icon icon-search disabled" onclick="showLocation(document.getElementById(\'find\').value,null);" title="'.L('Search').'"></i></p>';
  echo '</div>',PHP_EOL;
  echo '</div>',PHP_EOL;
}
else
{
  echo '<p class="disabled">',L('map_E_disabled'),'</p>';
}

echo '<p class="formhelp">* '.(file_exists(getLangDir().'qtg_map_adm.php.txt') ? file_get_contents(getLangDir().'qtg_map_adm.php.txt') : 'requires Google API key.').'</p>';

// --------
// HTML END
// --------

if ( $qtg_gkey )
{
  $gmap_markers = array();
  $gmap_events = array();
  $gmap_functions = array();

  $gmap_markers[] = QTgmapMarker($qtg_gcenter,true,$qtg_gsymbol,$L['map_Define_center']);
  $gmap_events[] = '
	google.maps.event.addListener(marker, "position_changed", function() {
		if (document.getElementById("qtg_gcenter")) {document.getElementById("qtg_gcenter").value = gmapRound(marker.getPosition().lat(),10) + "," + gmapRound(marker.getPosition().lng(),10);}
	});
	google.maps.event.addListener(marker, "dragend", function() {
		map.panTo(marker.getPosition());
	});';
  $gmap_functions[] = '
  function undoChanges() {
  	if (infowindow) infowindow.close();
  	if (markers[0]) markers[0].setPosition(mapOptions.center);
  	if (mapOptions) map.panTo(mapOptions.center);
  	return null;
  }
  function showLocation(address,title) {
    if ( infowindow ) infowindow.close();
    geocoder.geocode( { "address": address}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        map.setCenter(results[0].geometry.location);
        if ( markers[0] ) {
          markers[0].setPosition(results[0].geometry.location);
        } else {
          markers[0] = new google.maps.Marker({map: map, position: results[0].geometry.location, draggable: true, animation: google.maps.Animation.DROP, title: title});
        }
        gmapYXfield("qtg_gcenter",markers[0]);
      } else {
        alert("Geocode was not successful for the following reason: " + status);
      }
    });
  }
  ';
  include 'qtg_map_load.php';
}

include 'qtg_inc_ft.php';