<?php

echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">
<head>
<title>Demo 4</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<script src="jquery/jquery-1.4.2.min.js" type="text/javascript"></script>
<script src="jquery/jquery.scrollable.min.js" type="text/javascript"></script>
<script src="jquery/scrollable.autoscroll.min.js" type="text/javascript"></script>
<script src="jquery/toolbox.mousewheel.min.js" type="text/javascript"></script>
<script  type="text/javascript">
jQuery(document).ready(function(){
  $(".qtgapi").scrollable({ items:".messages",vertical:true,mousewheel:true,circular:true,speed:1500}).autoscroll(5000);
});
</script>
<style type="text/css">
div.qtgapi
{
  position:relative;
  height: 200px;
  width: 250px;
  overflow:hidden;
  border:1px solid #ddd;
}
div.qtgapi p {font-family:Verdana, Arial, sans-serif;font-size:12px;}

div.qtgapi div.messages { position:absolute; width:100%; height:20000em; }

div.qtgapi div.message {
  margin:0;
  padding:5px;
  font-size:12px;
  height:170px; 
}

div.qtgapi p.messageinfo { margin:0; padding:2px 5px; background-color:#8FB8FF;font-size:11px; text-align:right }
div.qtgapi p.messagebody { margin:0; padding:5px;color:#00348F }
div.qtgapi span.messagesign { font-style:italic; }
div.qtgapi span.messagedate { font-style:italic; font-weight:bold }

#actions {width:250px;margin:0;padding:0;vertical-align:bottom; text-align:right}
#actions a {font-family:Verdana, Arial, sans-serif;font-size:11px;cursor:pointer;color:#666;}
#actions a:hover {text-decoration:underline}
#actions .disabled {color:#ddd;}
#actions .disabled:hover {text-decoration:none;color:#ddd;}

div.qtgapi div.footer {width:100%;height:20px;position:absolute;bottom:0;background-color:#ffffff}
div.qtgapi p.footer { text-align:right; margin:0; padding:2px 5px;font-family:Verdana, Arial, sans-serif;font-size:11px;}
div.qtgapi a.footer { font-family:Verdana, Arial, sans-serif;font-size:11px;cursor:pointer;color:#666;text-decoration:none;}
div.qtgapi a.footer:hover { text-decoration:underline;}
</style>
</head>
<body>
<h1>QuickTalk Guestbook API - Demo 4</h1>
<p>Following block of messages is requested from this page to the QuickTalk API.<br>
The block of messages is here animated by jQuery UI scrollable script. The messages scroll after 5 seconds or when using the mousewheel or when using the buttons.</p>

<pre>
&lt;?php
$qtgapi_path = \'\';
$qtgapi_head = false;
$qtgapi_css = false;
$qtgapi_banner = false;
include $qtgapi_path.\'qtgapi.php\';
?&gt;
</pre>

<p class="small">Here the jQuery libraries, and the stylesheet is not included by the API, but is declared in the header of this page.
Open the html source of this page to see how the jQuery is delcared and how the animation is configured. The buttons are not part of the generated API block and must be added in the page.</p>

<div id="actions"><a class="prev">&laquo; Back</a>&nbsp;<a class="next">Next &raquo;</a></div>

<!-- Here starts the block generated by the qtgapi.php API -->
';

$qtgapi_path = ''; // the path where the quicktalk application is installed (with final /)
$qtgapi_head = false;
$qtgapi_css = false;
$qtgapi_banner = false;
include $qtgapi_path.'qtgapi.php';

echo '
<!-- End of the block generated by the qtgapi.php API -->

</body>
</html>
';