<?php
$curr_skin = 'default';
$curr_map = 'top';

echo '<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en">
<head>
<title>demo</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<script type="text/javascript">
function setFrameSkin(demo) {
  var doc = document.getElementById("demo-content");
  if ( doc ) {
    doc.src = "http://qt-cute.org/soft/qtg4/demo-qtg-content.php?demo_qtg_skin=" + demo;
    var links = document.getElementsByClassName("currentskin"); links[0].setAttribute("class","");
    document.getElementById("skin-"+demo).setAttribute("class","currentskin");
  }
}
function setFrameMap(demo) {
  var doc = document.getElementById("demo-content");
  if ( doc ) {
    doc.src = "http://qt-cute.org/soft/qtg4/demo-qtg-content.php?demo_qtg_mapontop=" + (demo==="top" ? "1" : "0");
    var links = document.getElementsByClassName("currentmap"); links[0].setAttribute("class","");
    document.getElementById("map-"+demo).setAttribute("class","currentmap");
  }
}
function resizeIframe(obj)
{
  obj.style.height = obj.contentWindow.document.documentElement.scrollHeight+"px";
}
</script>
<style>
body{margin:0;padding:0;color:#fff;background-color:#000;font-family:Verdana,Arial,sans-serif;font-size:11pt}
div.demo-flex{display:flex;space-between;margin:0;padding:0;width:100%}
div.demo-menu{width:140px;margin:0;padding:10px}
div.demo-frame{width:90%;max-width:1250px}
iframe{margin:0;padding:0;border:none;width:100%;min-height:1000px}
p{margin:5px 0 0 0}
a{color:#fff;text-decoration:none} a:hover{color:cyan}
a.currentskin{color:cyan} a.currentskin:hover{cursor:default}
a.currentmap{color:cyan} a.currentmap:hover{cursor:default}
p.demo-title{padding:5px 10px;background-color:#555;text-align:center}
fieldset{margin:10px 0;padding:5px 0 10px 0;border:1px solid #666;text-align:center}
legend{color:#ccc;font-size:9pt}
</style>
</head>
';
echo '<body>
<div class="demo-flex">
<div class="demo-menu">
<div style="position:fixed;top:10px;left:10px;width:130px">
<p class="demo-title">Demo</p>
<fieldset><legend>Style selector</legend>'.PHP_EOL;
foreach(array('default','bluesky','elite','none','professional','post-it','tropicalforest') as $style)
{
echo '<p><a id="skin-'.$style.'"'.($curr_skin===$style ? ' class="currentskin"' : '' ).' href="javascript:void(0)" onclick="setFrameSkin(\''.$style.'\')">'.ucfirst($style).'</a></p>',PHP_EOL;
}

echo '</fieldset>
<fieldset class="demo-part"><legend>Layout selector</legend>'.PHP_EOL;
foreach(array('top','bottom') as $style)
{
echo '<p><a id="map-'.$style.'"'.($curr_map===$style ? ' class="currentmap"' : '' ).' href="javascript:void(0)" onclick="setFrameMap(\''.$style.'\')">Map '.$style.'</a></p>',PHP_EOL;
}
echo '</fieldset>
</div>
</div>
<div class="demo-frame"><iframe id="demo-content" src="http://qt-cute.org/soft/qtg4/demo-qtg-content.php" title="Demo Quicktalk guestbook" onload="resizeIframe(this);"></iframe></div>
</div>
</body>
</html>
';