<?php

// QuickTalk Guestbook 4.0 build:20200522

session_start();
include 'qtg_setup_ini.php';

// --------
// Basic check
// --------

$bConfig = false;
if ( file_exists('../config/config.php') ) {
if ( is_readable('../config/config.php') ) {
if ( is_writable('../config/config.php') ) {
  $bConfig=true;
}}}

// --------
// Html start
// --------

include 'qtg_setup_hd.php'; // this will show $error

if ( !$bConfig )
{
  echo '<h2 style="color:#000000;margin:10px 0 5px 0">[EN] Before install</h2>';
  echo '<p>The configuration file <span class="bold">config/config.php</span> is not writable. Please make this file writable before starting installation (e.g. with a FTP client, set the file attributes to chmod 777)</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[FR] Avant d\'installer</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">Le fichier <span class="bold">config/config.php</span> n\'est pas inscriptible. Veillez rendre ce fichier inscriptible avant de lancer l\'installation (ex. avec un logiciel de FTP changer les attributs de securit&eacute; de ce fichier en chmod 777)</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[NL] Voor installatie</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">De file <span class="bold">config/config.php</span> is read-only. U moet dit inschrijfbaar maken (bvb. met een FTP software u kan de veiligheid attributen naar chmod 777 veranderen)</p>';
  include 'qtg_setup_ft.php';
  exit;
}
if ( !file_exists('../config/config_lang.php') )
{
  echo '<h2 style="color:#000000;margin:10px 0 5px 0">[EN] Before install</h2>';
  echo '<p>The configuration file <span class="bold">config/config_lang.php</span> is missing. Please make this file available before starting installation.</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[FR] Avant d\'installer</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">Le fichier <span class="bold">config/config_lang.php</span> n\'est pas disponible. Veuillez rendre ce fichier disponible avant de lancer l\'installation.</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[NL] Voor installatie</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">De file <span class="bold">config/config_lang.php</span> is niet beschikbaar. Maak dit beschikbaar voordat u met de installatie begint.</p>';
  include 'qtg_setup_ft.php';
  exit;
}
if ( !file_exists('../config/config_site.php') )
{
  echo '<h2 style="color:#000000;margin:10px 0 5px 0">[EN] Before install</h2>';
  echo '<p>The configuration file <span class="bold">config/config_site.php</span> is missing. Please make this file available before starting installation.</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[FR] Avant d\'installer</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">Le fichier <span class="bold">config/config_site.php</span> n\'est pas disponible. Veuillez rendre ce fichier disponible avant de lancer l\'installation.</p>';
  echo '<h2 style="color:#666666;margin:0 0 5px 20px">[NL] Voor installatie</h2>';
  echo '<p style="color:#666666;margin:0 0 5px 20px">De file <span class="bold">config/config_site.php</span> is niet beschikbaar. Maak dit beschikbaar voordat u met de installatie begint.</p>';
  include 'qtg_setup_ft.php';
  exit;
}

// Read language subdirectories
include '../config/config_lang.php'; // const LANGUAGES
$arrOptions = array();
foreach(LANGUAGES as $iso=>$str)
{
  $str = explode(' ',$str,2); $str = isset($str[1]) ? $str[1] : $str[0];
  if ( file_exists('../language/'.$iso.'/qtg_install.php') ) $arrOptions[$iso] = $str;
}

echo '<br><br>
<h2 class="center">Language ?</h2>
<form method="get" action="qtg_setup_1.php">
<p class="center"><select name="lang" size="1">';
foreach($arrOptions as $iso=>$str)
{
  echo '<option value="',$iso,'"',($_SESSION['qtg_setup_lang']===$iso ? ' selected="selected"' : ''),'>',$str,'</option>';
}
echo '</select>
<input type="submit" name="ok" value="Ok"/>
</p>
</form>
<br>
<br>
';

// --------
// HTML END
// --------

include 'qtg_setup_ft.php';