<?php

// QuickTalk 4.0 build:20200522

session_start();
include 'qtg_setup_ini.php';
include '../config/config.php';

$strPrevUrl = 'qtg_setup_1.php';
$strNextUrl = 'qtg_setup_3_db.php';
$error = '';

// --------
// HTML START
// --------

include 'qtg_setup_hd.php';

echo '
<table>
<tr valign="top">
<td width="475" style="padding:0 5px 0 0">';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  include '../bin/class_qtg_db.php';
  include '../bin/lib_qt_sys.php';
  include '../bin/lib_qt_txt.php';

  $qtg_dbsystem = strip_tags(trim($_POST['qtg_dbsystem']));
  $qtg_host = strip_tags(trim($_POST['qtg_host']));
  $qtg_database = strip_tags(trim($_POST['qtg_database']));
  if ( $qtg_dbsystem==='sqlite' && substr($qtg_database,-3,3)!='.db' ) $qtg_database .= '.db';
  $qtg_prefix = strip_tags(trim($_POST['qtg_prefix']));
  $qtg_user = strip_tags(trim($_POST['qtg_user']));
  $qtg_pwd = strip_tags(trim($_POST['qtg_pwd']));
  $qtg_user_2 = strip_tags(trim($_POST['qtg_user_2']));
  $qtg_pwd_2 = strip_tags(trim($_POST['qtg_pwd_2']));
  $str = strip_tags(trim($_POST['qtg_dbo_login']));
  if ( $str!='') $_SESSION['qtg_dbologin'] = $str;
  $str = strip_tags(trim($_POST['qtg_dbo_pswrd']));
  if ( $str!='') $_SESSION['qtg_dbopwd'] = $str;

  if ( !QTislogin($qtg_user,2) ) { $error="Username [$qtg_user] will not be considered as a valid username."; }
  if ( !QTispassword($qtg_pwd,2) ) { $error="The password of [$qtg_user] will not be considered as a valid password."; }
  if ( $qtg_user_2!='' )
  {
    if ( !QTislogin($qtg_user_2,2) ) { $error="Username [$qtg_user_2] will not be considered as a valid username."; }
    if ( !QTispassword($qtg_pwd_2,2) ) { $error="The password of [$qtg_user_2] will not be considered as a valid password."; }
  }
  if ( !empty($error) ) echo '<div class="setup_err">',$error,'</div>';
  $error='';

  // Test Connection

  if ( isset($_SESSION['qtg_dbologin']) )
  {
    $oDB = new cDB($qtg_dbsystem,$qtg_host,$qtg_database,$_SESSION['qtg_dbologin'],$_SESSION['qtg_dbopwd']);
  }
  else
  {
    $oDB = new cDB($qtg_dbsystem,$qtg_host,$qtg_database,$qtg_user,$qtg_pwd);
  }

  if ( empty($oDB->error) )
  {
    echo '<div class="setup_ok">',$L['S_connect'],'</div>';
  }
  else
  {
    echo '<div class="setup_err">',sprintf ($L['E_connect'],$qtg_database,$qtg_host),'</div>';
  }

  // Save Connection
  $str = '<?php
  $qtg_dbsystem = "'.$qtg_dbsystem.'";
  $qtg_host = "'.$qtg_host.'";
  $qtg_database = "'.$qtg_database.'";
  $qtg_prefix = "'.$qtg_prefix.'";
  $qtg_user = "'.$qtg_user.'";
  $qtg_pwd = "'.$qtg_pwd.'";
  $qtg_user_2 = "'.$qtg_user_2.'";
  $qtg_pwd_2 = "'.$qtg_pwd_2.'";
  $qtg_install = "'.date('Y-m-d').'";';
  $error = saveToFile('../config/config.php',$str); // SAVE TO FILE

  if ( empty($error) )
  {
    echo '<div class="setup_ok">',$L['S_save'],'</div>';
  }
  else
  {
    echo '<div class="setup_err">',$error,$L['E_save'],'</div>';
  }
}

// --------
// END SUBMITTED
// --------

echo '<form method="post" name="install" action="qtg_setup_2_db.php">
<h2>',$L['Connection_db'],'</h2>
<table class="t-conn">
<tr>
<td>',$L['Database_type'],'</td>
<td><select name="qtg_dbsystem">
<optgroup label="PDO connectors">
<option value="pdo.mysql"',($qtg_dbsystem==='pdo.mysql' ? ' selected="selected"' : ''),'>MariaDb/MySQL (5 or next)</option>
<option value="pdo.sqlsrv"',($qtg_dbsystem==='pdo.sqlsrv' ? ' selected="selected"' : ''),'>SQL sever (or Express)</option>
<option value="pdo.pg"',($qtg_dbsystem==='pdo.pg' ? ' selected="selected"' : ''),'>PostgreSQL</option>
</optgroup>
<optgroup label="Legacy connectors">
<option value="mysql"',($qtg_dbsystem==='mysql' ? ' selected="selected"' : ''),'>MySQL 5 or next</option>
<option value="sqlsrv"',($qtg_dbsystem==='sqlsrv' ? ' selected="selected"' : ''),'>SQL server (or Express)</option>
<option value="pg"'.($qtg_dbsystem==='pg' ? 'selected="selected"' : ''),'>PostgreSQL</option>
<option value="sqlite"'.($qtg_dbsystem==='sqlite' ? 'selected="selected"' : ''),'>SQLite</option>
<option value="oci"',($qtg_dbsystem==='oci' ? ' selected="selected"' : ''),'>Oracle</option>
</optgroup>
</select></td>
</tr>
';
echo '<tr>
<td>',$L['Database_host'],'</td>
<td>
<input type="text" name="qtg_host" value="',$qtg_host,'" size="20" maxlength="100"/>
</td>
</tr>
<tr>
<td>',$L['Database_name'],'</td>
<td><input type="text" name="qtg_database" value="',$qtg_database,'" size="15" maxlength="100"/></td>
</tr>
<tr>
<td>',$L['Table_prefix'],'</td>
<td><input type="text" name="qtg_prefix" value="',$qtg_prefix,'" size="15" maxlength="100"/></td>
</tr>
<tr>
<td>Administrator 1 (login/password)</td>
<td>
<input name="qtg_user" value="',$qtg_user,'" size="15" maxlength="100"/>
<input type="password" name="qtg_pwd" value="',$qtg_pwd,'" size="15" maxlength="100"/>
</td>
</tr>
<tr>
<td>Administrator 2 (login/password)</td>
<td>
<input name="qtg_user_2" value="',$qtg_user_2,'" size="15" maxlength="100"/>
<input type="password" name="qtg_pwd_2" value="',$qtg_pwd_2,'" size="15" maxlength="100"/>
</td>
</tr>
<tr>
<td colspan="2" style="background-color:#CCCCCC"><span class="small">',$L['Htablecreator'],'</span></td>
</tr>
<tr>
<td style="background-color:#CCCCCC">Table creator (login/password)</td>
<td style="background-color:#CCCCCC">
<input type="text" name="qtg_dbo_login" value="',(isset($_SESSION['qtg_dbologin']) ? $_SESSION['qtg_dbologin'] : ''),'" size="15" maxlength="100"/>
<input type="password" name="qtg_dbo_pswrd" value="',(isset($_SESSION['qtg_dbopwd']) ? $_SESSION['qtg_dbopwd'] : ''),'" size="15" maxlength="100"/>
</td>
</tr>
<tr>
<td colspan="2">&nbsp;</td>
</tr>
<tr>
<td colspan="2" style="text-align:center"><input class="submit" type="submit" name="ok" value="',$L['Save'],'" onclick="this.style.visibility=\'hidden\';"/></td>
</tr>

</table>
</form>
<span class="small">',$L['Upgrade'],'</span>';

echo '
</td>
<td class="hidden"><div class="setup_help">',$L['Help_1a'],'</div></td>
</tr>
</table>
';

// --------
// HTML END
// --------

include 'qtg_setup_ft.php';