<?php

// ------------
// Is is recommended to always use capital on first letter in the translation
// software changes to lower case if necessary.
// ------------

// If your board accept several languages (latin origin), the charset 'windows-1252' is recommended in order to render all accents correctly.
// If your board accept english only, you can use the charset 'utf-8'.
if ( !defined('QT_HTML_CHAR') ) define ('QT_HTML_CHAR', 'utf-8');
if ( !defined('QT_HTML_DIR') ) define ('QT_HTML_DIR', 'ltr');
if ( !defined('QT_HTML_LANG') ) define ('QT_HTML_LANG', 'fr');

// QTA specific vocabulary

$L['Sign1']='Signer&nbsp;le&nbsp;livre&nbsp;d\'or...';
$L['Sign2']='Message de condol&eacute;ances...';
$L['Sign3']='Ajouter une info...';
$L['Return1']='Retour au livre d\'or';
$L['Return2']='Retour au livre des condol&eacute;ances';
$L['Return3']='Retour aux pages d\'information';

$L['About']='Mentions&nbsp;l&eacute;gales';
$L['Administration']='Administration';
$L['Age']='Age';
$L['and']='et';
$L['Cancel']='Annuler';
$L['Date']='Date';
$L['Delete']='Effacer';
$L['Delete_my_message']='Effacer mon message';
$L['Deleting']='Effacement';
$L['Done']='Effectu&eacute;...';
$L['Edit']='Editer';
$L['Edit_my_message']='Modifier mon message';
$L['Email']='Email';
$L['Exit']='Quitter';
$L['First']='Premi&egrave;re';
$L['From']='Parmis';
$L['HSecurity']='Copiez le code de s&eacute;curit&eacute;';
$L['Publish']='Accepter (rendre visible)';
$L['Unhide_by_reviewer']='Message &agrave; contr&ocirc;ler:';
$L['Home']='Accueil';
$L['Image']='Image';
$L['Last']='Derni&egrave;re';
$L['Location']='Localisation';
$L['Login']='Connexion';
$L['Logout']='D&eacute;connexion';
$L['Mandatory_fields']='Champs obligatoires';
$L['Message']='Message'; $L['Messages']='Messages';
$L['Message_deleted']='Message effac&eacute;';
$L['Message_send']='Message envoy&eacute;. Merci...';
$L['More']='[plus]'; $L['Less']='[moins]';
$L['Name']='Nom';
$L['Next']='Suivant';
$L['None']='Aucun';
$L['No']='Non';
$L['Ok']='Ok';
$L['Page']='page';
$L['Pages']='pages';
$L['Password']='Mot de passe';
$L['Previous']='Pr&eacute;c&eacute;dent';
$L['Return_administration']='Retour &agrave; l\'administration';
$L['Search']='Chercher';
$L['Security']='S&eacute;curit&eacute;';
$L['Send']='Envoyer';
$L['Site']='Site';
$L['Text']='Texte';
$L['Total']='Total';
$L['User']='Utilisateur';
$L['Username']='Utilisateur';
$L['Version']='Version';
$L['View_col']='Vue en colonne';
$L['View_std']='Vue standard';
$L['Welcome']='Bienvenue';
$L['Wait']='Attendez';
$L['Yes']='Oui';

// Success

$L['Message_review']='Votre message va &ecirc;tre examin&eacute; avant sa publication';
$L['Update_successfull']='Mise &agrave; jour effectu&eacute;e';
$L['Delete_successfull']='Effacement r&eacute;alis&eacute;';

// Error

$L['E_email']='Format de l\'e-mail non conforme (ce champ vide peut aussi &ecirc;tre vide)';
$L['E_invalid']='invalide';
$L['E_no_selection']='Le livre d\'or ne contient aucun message correspondant aux crit&egrave;res.';
$L['E_access_denied']='Acc&egrave;ss refus&eacute;';
$L['E_ip_denied']='Acc&egrave;ss refus&eacute; pour votre IP';
$L['E_size']='Probl&egrave;me dans la taille du message...';
$L['E_language']='Probl&egrave;me de langue utilis&eacute;e...';
$L['E_code']='Code de s&eacute;curit&eacute; incorrect...';
$L['E_wait']='Veillez attendre quelques secondes...';
$L['E_maxday']='Nombre maximum de message par jour d&eacute;pass&eacute;.<br>R&eacute;essayez demain..';
$L['E_mandatory']='Champ obligatoire vide';
$L['E_editing']='Des donn&eacute;es sont modifi&eacute;es. Quitter sans sauver?';

// Dates: dateSQL can contain html characters, dateMMM cannot

$L['dateSQL']=array(
'January'  => 'Janvier',
'February' => 'F&eacute;vrier',
'March'    => 'Mars',
'April'    => 'Avril',
'May'      => 'Mai',
'June'     => 'Juin',
'July'     => 'Juillet',
'August'   => 'Ao&ucirc;t',
'September'=> 'Septembre',
'October'  => 'Octobre',
'November' => 'Novembre',
'December' => 'D&eacute;cembre',
'Monday'   => 'Lundi',
'Tuesday'  => 'Mardi',
'Wednesday'=> 'Mercredi',
'Thursday' => 'Jeudi',
'Friday'   => 'Vendredi',
'Saturday' => 'Samedi',
'Sunday'   => 'Dimanche',
'Today'    => 'Aujourd\'hui',
'Yesterday'=> 'Hier',
'Jan'=>'Jan',  
'Feb'=>'F&eacute;v',  
'Mar'=>'Mars',
'Apr'=>'Avr',  
'May'=>'Mai',  
'Jun'=>'Jun',  
'Jul'=>'Jul',  
'Aug'=>'Ao&ucirc;t',  
'Sep'=>'Sept',  
'Oct'=>'Oct',  
'Nov'=>'Nov',  
'Dec'=>'Déc',  
'Mon'=>'Lu',   
'Tue'=>'Ma',   
'Wed'=>'Me',   
'Thu'=>'Je',   
'Fri'=>'Ve',   
'Sat'=>'Sa',   
'Sun'=>'Di');
$L['dateMMM']=array(1=>'Janvier','Fevrier','Mars','Avril','Mai','Juin','Juillet','Aout','Septembre','Octobre','Novembre','Decembre');
$L['dateMM'] =array(1=>'Jan','Fev','Mar','Avr','Mai','Juin','Juil','Aout','Sept','Oct','Nov','Dec');
$L['dateM']  =array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');

// Icon

$L['Ico_bold']='Gras';
$L['Ico_italic']='Italique';
$L['Ico_under']='Soulign&eacute;';
$L['Ico_url']='Url';
$L['Ico_smiley']='Emoticones';
$L['Ico_smile01']='Heureux';
$L['Ico_smile02']='Triste';
$L['Ico_smile03']='Ooups';
$L['Ico_smile04']='Clein d\'oeil';
$L['Ico_smile05']='F&acirc;ch&eacute;';
$L['Ico_smile06']='Etonn&eacute;';
$L['Ico_smile07']='Question';
$L['Ico_smile08']='Important';
$L['Ico_smile09']='Id&eacute;e';