<?php

// If your board accept several languages (latin origin), the charset 'windows-1252' is recommended in order to render all accents correctly.
// If your board accept english only, you can use the charset 'utf-8'.
if ( !defined('QT_HTML_CHAR') ) define ('QT_HTML_CHAR', 'utf-8');
if ( !defined('QT_HTML_DIR') ) define ('QT_HTML_DIR', 'ltr');
if ( !defined('QT_HTML_LANG') ) define ('QT_HTML_LANG', 'it');

// QTG specific vocabulary

$L['Sign1']='Firma il guestbook...';
$L['Sign2']='Parola delle condoglianze...';
$L['Sign3']='Aggiunga lle notizie...';
$L['Return1']='Ritorna al guestbook';
$L['Return2']='Ritorna al libro di condoglianze';
$L['Return3']='Ritorna';

$L['About']='Condizioni&nbsp;generali';
$L['Administration']='Amministrazione';
$L['Age']='Et&agrave;';
$L['and']='e';
$L['Cancel']='Annullare';
$L['Date']='Data';
$L['Delete']='Cancella';
$L['Delete_my_message']='Cancella il mio messaggio';
$L['Deleting']='Cancellazione';
$L['Done']='Fatto...';
$L['Edit']='Modifica';
$L['Edit_my_message']='Modifica il mio messaggio';
$L['Email']='Email';
$L['Exit']='Escire';
$L['First']='Primo';
$L['From']='Tra';
$L['HSecurity']='Copia il codice di sicurezza';
$L['Publish']='Accetta (mostra)';
$L['Unhide_by_reviewer']='Messaggio da verificare';
$L['Home']='Home';
$L['Image']='Immagine';
$L['Last']='Ultimo';
$L['Location']='Localizzazione';
$L['Login']='Log in';
$L['Logout']='Log out';
$L['Mandatory_fields']='Campi obbligatori';
$L['Message']='Messaggio';
$L['Message_deleted']='Messaggio cancellato';
$L['Message_send']='Messaggio inviato. Grazie...';
$L['Messages']='Messaggi';
$L['More']='[pi&ugrave;]'; $L['Less']='[meno]';
$L['Name']='Nome';
$L['Next']='Prossima';
$L['None']='Nessuno';
$L['No']='No';
$L['Ok']='Ok';
$L['Page']='pagina';
$L['Pages']='pagine';
$L['Password']='Password';
$L['Previous']='Precedente';
$L['Return_administration']='Ritorna all\' amministrazione';
$L['Search']='Ricerca';
$L['Security']='Sicurezza';
$L['Send']='Invia';
$L['Site']='Sito';
$L['Text']='Testo';
$L['Total']='Totale';
$L['User']='Utente';
$L['Username']='Nome utente';
$L['Version']='Versione';
$L['View_col']='Visualizzazione in colonne';
$L['View_std']='Visualizzazione standard';
$L['Wait']='Aspetti';
$L['Welcome']='Benvenuto';
$L['Yes']='Si';

// Success

$L['Message_review']='Il tuo messaggio sar&agrave; esaminato prima della pubblicazione';
$L['Update_successfull']='Update &egrave; di successo';
$L['Delete_successfull']='Cancella &egrave; di successo';

// Error

$L['E_email']='E-mail formatto errato (il e-mail pu&ograve; essere vuoto )';
$L['E_invalid']='sbagliato';
$L['E_no_selection']='Il guestbook non contiene i messaggi che corrispondono con questi criterias.';
$L['E_access_denied']='Accesso negato';
$L['E_ip_denied']='Accesso negato per il tuo ip';
$L['E_size']='C\'&egrave; un problema con la lunghezza del tuo messaggio...';
$L['E_language']='C\'&egrave; un problema con il linguaggio del tuo messaggio...';
$L['E_code']='Codice di sicurezza errato...';
$L['E_wait']='Per favore, attendere qualche secondo...';
$L['E_maxday']='Hai raggiunto il massimo di post per questa giornata.<br>Prova ancora domani...';
$L['E_mandatory']='Campo(i) obbligatori(io) vuoto(i)';
$L['E_editing']='Dati non ancora conservati. Rinunciato senza risparmio?';

// Dates: dateSQL can contain html characters, dateMMM cannot

$L['dateSQL']=array(
'January'  => 'Gennaio',
'February' => 'Febbraio',
'March'    => 'Marzo',
'April'    => 'Aprile',
'May'      => 'Maggio',
'June'     => 'Giugno',
'July'     => 'Luglio',
'August'   => 'Agosto',
'September'=> 'Settembre',
'October'  => 'Ottobre',
'November' => 'Novembre',
'December' => 'Dicembre',
'Monday'   => 'Lunedi',
'Tuesday'  => 'Martedi',
'Wednesday'=> 'Mercoledi',
'Thursday' => 'Giovedi',
'Friday'   => 'Venerdi',
'Saturday' => 'Sabato',
'Sunday'   => 'Domenica',
'Today'    => 'Oggi',
'Yesterday'=> 'Ieri',
'Jan'=>'Gen',  
'Feb'=>'Feb',  
'Mar'=>'Mar',  
'Apr'=>'Apr',  
'May'=>'Mag',  
'Jun'=>'Giu',  
'Jul'=>'Lug',  
'Aug'=>'Ago',  
'Sep'=>'Set',  
'Oct'=>'Ott',  
'Nov'=>'Nov',  
'Dec'=>'Dic',  
'Mon'=>'Lun',  
'Tue'=>'Mar',
'Wed'=>'Mer',  
'Thu'=>'Gio',  
'Fri'=>'Ven',  
'Sat'=>'Sab',  
'Sun'=>'Dom');
$L['dateMMM']=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
$L['dateMM'] =array(1=>'Gen','Feb','Mar','Apr','Mag','Giu','Lug','Ago','Set','Ott','Nov','Dec');
$L['dateM']  =array(1=>'G','F','M','A','M','G','L','A','S','O','N','D');

// Icon

$L['Ico_bold']='Grassetto';
$L['Ico_italic']='Corsivo';
$L['Ico_under']='Sottolineato';
$L['Ico_url']='URL';
$L['Ico_smiley']='Smile';
$L['Ico_smile01']='Felice';
$L['Ico_smile02']='Triste';
$L['Ico_smile03']='Oops';
$L['Ico_smile04']='Occhilino';
$L['Ico_smile05']='Arrabbiato';
$L['Ico_smile06']='Sorpreso';
$L['Ico_smile07']='Domanda';
$L['Ico_smile08']='Importante';
$L['Ico_smile09']='Idea';