<?php

// ------------
// Is is recommended to always use capital on first letter in the translation
// software changes to lower case if necessary.
// ------------

// If your board accept several languages (latin origin), the charset 'windows-1252' is recommended in order to render all accents correctly.
// If your board accept english only, you can use the charset 'utf-8'.
if ( !defined('QT_HTML_CHAR') ) define ('QT_HTML_CHAR', 'utf-8');
if ( !defined('QT_HTML_DIR') ) define ('QT_HTML_DIR', 'ltr');
if ( !defined('QT_HTML_LANG') ) define ('QT_HTML_LANG', 'nl');

// Specific vocabulary

$L['Sign1']='Teken&nbsp;het&nbsp;gastenboek...';
$L['Sign2']='Condoleren...';
$L['Sign3']='Nieuws&nbsp;toevoegen...';
$L['Return1']='Terug naar het gastenboek';
$L['Return2']='Terug naar het boek';
$L['Return3']='Terug naar het boek';

$L['About']='Gebruiksvoorwaarden';
$L['Administration']='Administratie';
$L['Age']='Leeftijd';
$L['and']='en';
$L['Cancel']='Annuleren';
$L['Date']='Datum';
$L['Delete']='Wissen';
$L['Delete_my_message']='Wissen mijn commentaar';
$L['Deleting']='Uitwissen';
$L['Done']='Gedaan...';
$L['Edit']='Bewerken';
$L['Edit_my_message']='Mijn commentaar bewerken';
$L['Email']='Email';
$L['Exit']='Uitgang';
$L['First']='Eerste';
$L['From']='Uit';
$L['HSecurity']='Gelieven de code te kopieren';
$L['Publish']='Accepteren (tonen)';
$L['Unhide_by_reviewer']='Bericht te controleren';
$L['Home']='Homepage';
$L['Image']='Beeld';
$L['Last']='Laatste';
$L['Location']='Plaats';
$L['Login']='Inloggen';
$L['Logout']='Uitloggen';
$L['Mandatory_fields']='Verplicht';
$L['Message']='Bericht';
$L['Message_deleted']='Bestand wissend';
$L['Message_send']='Bestand verstuurd. Dank u...';
$L['Messages']='Berichten';
$L['More']='[meer]'; $L['Less']='[minder]';
$L['Name']='Naam';
$L['Next']='Volgende';
$L['None']='Geen';
$L['No']='Nee';
$L['Ok']='Ok';
$L['Page']='pagina';
$L['Pages']='paginas';
$L['Password']='Wachtwoord';
$L['Previous']='Vorige';
$L['Return_administration']='Terug naar administratie';
$L['Search']='Zoeken';
$L['Security']='Veiligheid';
$L['Send']='Verstuur';
$L['Site']='Site';
$L['Text']='Text';
$L['Total']='Totaal';
$L['User']='Gebruiker';
$L['Username']='Inlognaam';
$L['Version']='Versie';
$L['View_col']='Kolom blad';
$L['View_std']='Normaal blad';
$L['Welcome']='Welkom';
$L['Wait']='Wacht';
$L['Yes']='Ja';

// Success
$L['Message_review']='Uw bericht wordt v&oacute;&oacute;r publicatie beoordeeld';
$L['Update_successfull']='Voltooide update';
$L['Delete_successfull']='Wissen voltooid';

// Error

$L['E_email']='Email formaat onbekend (e-mail kan leeg worden)';
$L['E_invalid']='niet correct';
$L['E_no_selection']='Het gastenboek bevat geen enkel bericht dat aan deze criteria beantwoordt';
$L['E_access_denied']='Toegang niet geldig';
$L['E_ip_denied']='Uw ip-adress is verbannen';
$L['E_size']='Verkeerd bestand (lengte)...';
$L['E_language']='Verkeerd of onbekend taal...';
$L['E_code']='Verkeerd code...';
$L['E_wait']='Gelieve een paar seconden te wachten...';
$L['E_maxday']='Aantal berichten per dag verbruiken.<br>Probeer morgen...';
$L['E_mandatory']='Verplicht info niet ingevuld';
$L['E_editing']='Data zijn verandered. Verlaten zonder saven?';

// Dates: dateSQL can contain html characters, dateMMM cannot

$L['dateSQL']=array(
'January'  => 'januari',
'February' => 'februari',
'March'    => 'maart',
'April'    => 'april',
'May'      => 'mei',
'June'     => 'juni',
'July'     => 'juli',
'August'   => 'augustus',
'September'=> 'september',
'October'  => 'oktober',
'November' => 'november',
'December' => 'december',
'Monday'   => 'maandag',
'Tuesday'  => 'dinsdag',
'Wednesday'=> 'woensdag',
'Thursday' => 'donderdag',
'Friday'   => 'vrijdag',
'Saturday' => 'zaterdag',
'Sunday'   => 'zondag',
'Today'    => 'Vandaag',
'Yesterday'=> 'Gisteren',
'Jan'=>'jan',  
'Feb'=>'feb',  
'Mar'=>'mrt',  
'Apr'=>'apr',  
'May'=>'mei',  
'Jun'=>'jun',  
'Jul'=>'jul',  
'Aug'=>'aug',  
'Sep'=>'sep',  
'Oct'=>'okt',  
'Nov'=>'nov',  
'Dec'=>'dec',  
'Mon'=>'ma',   
'Tue'=>'di',   
'Wed'=>'wo',   
'Thu'=>'do',   
'Fri'=>'vr',   
'Sat'=>'za',   
'Sun'=>'zo');
$L['dateMMM']=array(1=>'Januari','Februari','Maart','April','Mei','Juni','Juli','Augustus','Septembre','Oktober','November','December');
$L['dateMM'] =array(1=>'Jan','Feb','Mrt','Apr','Mei','Jun','Jul','Aug','Sep','Okt','Nov','Dec');
$L['dateM']  =array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');

// Icon

$L['Ico_bold']='Vet';
$L['Ico_italic']='Cursief';
$L['Ico_under']='Onderstreep';
$L['Ico_url']='Url';
$L['Ico_smiley']='Smilies';
$L['Ico_smile01']='Gelukkig';
$L['Ico_smile02']='Triest';
$L['Ico_smile03']='Oops';
$L['Ico_smile04']='Knipoog';
$L['Ico_smile05']='Boos';
$L['Ico_smile06']='Verbaasd';
$L['Ico_smile07']='Vraag';
$L['Ico_smile08']='Belangrijk';
$L['Ico_smile09']='Idee';