<?php
// QuickTalk Guestbook 4.0.3 build:20220105
session_start(); if ( empty($_SESSION['qtgAuth']) ) { header('Location: qtg_login.php'); die('Access denied.'); }

require 'qtg_init.php';

// Saved values, edited in this page
$strSkin = str_replace('skin/','',$qtg_skin);
$strLang = $qtg_language;
$strDate = FORMATDATE;
$strTime = FORMATTIME;

// This page skin
$qtg_skin='bin/css';

// INITIALISE

include getLangDir().'qtg_adm.php';
$oP->selfname=L('Configuration');
$oP->selfurl='qtg_adm_conf.php';
$arrYN = array($L['No'],$L['Yes']);

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
   // Check values.
  $qtg_use_age = isset($_POST['FldA']);
  $qtg_use_email = isset($_POST['FldE']);
  $qtg_use_from = isset($_POST['FldL']);
  $qtg_bbc_bold = isset($_POST['BbcB']);
  $qtg_bbc_italic = isset($_POST['BbcI']);
  $qtg_bbc_underline = isset($_POST['BbcU']);
  $qtg_bbc_url = isset($_POST['BbcL']);
  $qtg_bbc_smiley = isset($_POST['BbcS']);
  $strSkin = empty($_POST['skin']) ? 'default' : $_POST['skin'];
  $strLang = empty($_POST['lang']) ? 'en' : $_POST['lang'];
  $qtg_menulang = $_POST['menulang']==='1';
  $qtg_column_default = $_POST['coldefault']==='1';
  $qtg_column_change = $_POST['colchange']==='1';
  $qtg_banner = $_POST['withbanner']==='1';
  $qtg_separateform = $_POST['separateform']==='1'; if ( $qtg_gkey ) $qtg_separateform=true; // mandatory when map is active
  $qtg_use_from_type = isset($_POST['fromtype']) ? (int)$_POST['fromtype'] : 0;
  $qtg_page_size = (int)$_POST['page_size'];

  // check dateformat
  if ( empty($error) )
  {
    $strDate = trim(stripslashes($_POST['formatdate']));
    $strTime = trim(stripslashes($_POST['formattime']));
    if ( empty($strDate) ) { $error='Date format '.L('E_invalid'); $strDate=FORMATDATE; }
    if ( empty($strTime) ) { $error='Time format '.L('E_invalid'); $strDate=FORMATTIME; }
  }

  // show_size
  if ( empty($error) )
  {
    $str = trim($_POST['show_size']);
    if ( !is_numeric($str) )
    {
      $error=L('Show_max').' ['.$str.'] '.L('E_invalid').' (100-500)';
    }
    else
    {
      if ( !QTisbetween($str,100,5000) ) $error=L('Show_max').' ['.$str.'] '.L('E_invalid').' (100-500)';
    }
    if ( empty($error) ) $qtg_show_size=intval($str);
  }

  // language file
  if ( !file_exists('language/'.$strLang.'/qtg_main.php') )
  {
  $error = 'Problem to find the file language/'.$strLang.'/qtg_main.php. Settings cannot be saved.';
  $strLang = 'en';
  }

  // save result
  if ( empty($error) )
  {
    $file='config/config_site.php';
    if (!is_writable($file)) $error = 'Impossible to write into the file ['.$file.'].';
  }
  if ( empty($error) )
  {
    // check string variables to remove quotes
    foreach (array('strLang','strSkin','strDate','strTime','qtg_title','qtg_home','qtg_email','qtg_pagewidth') as $v)
    {
      if ( isset($$v) && strstr($$v,"'") ) $$v = str_replace("'",'&#039;',$$v);
    }
$str = '<?php
$qtg_actif = '.($qtg_actif ? 'true' : 'false').';
$qtg_type = "'.$qtg_type.'";
$qtg_language = "'.$strLang.'";
$qtg_menulang = '.($qtg_menulang ? 'true' : 'false').';
$qtg_skin = "'.$strSkin.'";
$qtg_formatdate = "'.$strDate.'";
$qtg_formattime = "'.$strTime.'";
$qtg_banner = '.($qtg_banner ? 'true' : 'false').';
$qtg_title = "'.$qtg_title.'";
$qtg_home = "'.$qtg_home.'";
$qtg_email = "'.$qtg_email.'";
$qtg_show_size = '.(empty($qtg_show_size) ? 200 : $qtg_show_size).';
$qtg_page_size = '.(empty($qtg_page_size) ? 10 : $qtg_page_size).';
$qtg_use_age = '.($qtg_use_age ? 'true' : 'false').';
$qtg_use_email = '.($qtg_use_email ? 'true' : 'false').';
$qtg_use_from = '.($qtg_use_from ? 'true' : 'false').';
$qtg_use_from_type = '.(empty($qtg_use_from_type) ? 0 : $qtg_use_from_type).';
$qtg_column_default = '.($qtg_column_default ? 'true' : 'false').';
$qtg_column_change = '.($qtg_column_change ? 'true' : 'false').';
$qtg_separateform = '.($qtg_separateform ? 'true' : 'false').';
$qtg_bbc_bold = '.($qtg_bbc_bold ? 'true' : 'false').';
$qtg_bbc_italic = '.($qtg_bbc_italic ? 'true' : 'false').';
$qtg_bbc_underline = '.($qtg_bbc_underline ? 'true' : 'false').';
$qtg_bbc_url = '.($qtg_bbc_url ? 'true' : 'false').';
$qtg_bbc_smiley = '.($qtg_bbc_smiley ? 'true' : 'false').';
';
  $error = saveToFile($file,$str);
  }
  $_SESSION[QT.'pagedialog'] = (empty($error) ? 'O|'.L('S_save') : 'E|'.$error);
}

// --------
// HTML START
// --------

include 'qtg_adm_inc_hd.php';

echo '<form method="post" action="qtg_adm_conf.php">
<div class="options">',L('Skin'),' ',L('and'),' ',L('Regional_settings'),'</div>
<table class="option">
';

// Read directory in skin
$h = opendir('skin');
$arrOptions = array();
while(false!==($dir=readdir($h)))
{
  if ( $dir!=='.' && $dir!=='..' && is_dir('skin/'.$dir) ) $arrOptions[$dir]=ucfirst($dir);
}
closedir($h);
asort($arrOptions);

echo '<tr>
<th>',L('Skin'),'</th>
<td><select id="skin" name="skin" onchange="bEdited=true;">',QTasTag($arrOptions,$strSkin),'</select></td>
<td class="help">',L('HSkin'),'</td>
</tr>
';
echo '<tr>
<th style="width:180px;">',L('Date_format'),'</th>
<td style="width:240px">
<input type="text" id="formatdate" name="formatdate" size="10" maxlength="24" value="',$strDate,'" onchange="bEdited=true;" required/>&nbsp;
<input type="text" id="formattime" name="formattime" size="6" maxlength="24" value="',$strTime,'" onchange="bEdited=true;" required/>
</td>
<td class="help">',L('HDate_format'),'</td>
</tr>
';

// Read language subdirectories
echo '<tr>
<th style="width:180px;">',L('Dfltlang'),'</th>
<td style="width:240px"><select id="lang" name="lang" onchange="bEdited=true;">',QTasTag(LANGUAGES,$strLang),'</select></td>
<td class="help">',L('HDfltlang'),'</td>
</tr>
';
echo '<tr>
<th>',L('Menulang'),'</th>
<td>
<select id="menulang" name="menulang" onchange="bEdited=true;">',QTasTag($arrYN,$qtg_menulang ? 1 : 0),'</select>
</td>
<td class="help">',L('HMenulang'),'</td>
</tr>
</table>
';
echo '<div class="options">',L('Message_settings'),'</div>
<table width="100%" class="option">
<tr>
<th style="width:180px;">',L('Show_max'),'</th>
<td style="width:240px"><input required type="text" pattern="^[1-5][0-9]{1,2}$" id="show_size" name="show_size" size="5" maxlength="5" value="',$qtg_show_size,'" onchange="bEdited=true;"/> ',L('characters'),'</td>
<td class="help">',L('HShow_max'),'</td>
</tr>
<tr>
<th>',L('Post_per_page'),'</th>
<td><select id="page_size" name="page_size" onchange="bEdited=true;">',QTasTag(array(10=>10,20=>20,30=>30,40=>40,50=>50,100=>100),$qtg_page_size),'</select></td>
<td class="help">',L('HPost_per_page'),'</td>
</tr>
<tr valign="top">
<th>',L('Optional_fields'),'</th>
<td>
<input type="checkbox" id="FldA" name="FldA" value="Age"'.($qtg_use_age ? QCHE : '').' onchange="bEdited=true;"/><label for="FldA"> ',L('Use_age'),'</label><br>
<input type="checkbox" id="FldE" name="FldE" value="Email"'.($qtg_use_email ? QCHE : '').' onchange="bEdited=true;"/><label for="FldE"> ',L('Use_email'),'</label>&nbsp;<br>
<input type="checkbox" id="FldL" name="FldL" value="From"'.($qtg_use_from ? QCHE : '').' onchange="bEdited=true;document.getElementById(\'fromtype\').disabled=!this.checked;"/><label for="FldL"> ',L('Use_from'),'</label>
 <select id="fromtype" name="fromtype" onchange="bEdited=true;"',($qtg_use_from ? '' : ' disabled'),'>
<option value="0"',($qtg_use_from_type==0 ? QSEL : ''),'>',L('Use_from_0'),'</option>
<option value="1"',($qtg_use_from_type==1 ? QSEL : ''),'>',L('Use_from_1'),'</option>
</select>
</td>
<td class="help">',L('HOptional_fields'),'</td>
</tr>
<tr valign="top">
<th>',L('BBC_code'),'</th>
<td>
<input type="checkbox" id="BbcB" name="BbcB" value="Bold"'.($qtg_bbc_bold ? QCHE : '').' onchange="bEdited=true;"/><label for="BbcB"> ',L('Ico_bold'),'</label><br>
<input type="checkbox" id="BbcI" name="BbcI" value="Italic"'.($qtg_bbc_italic ? QCHE : '').' onchange="bEdited=true;"/><label for="BbcI"> ',L('Ico_italic'),'</label><br>
<input type="checkbox" id="BbcU" name="BbcU" value="Underline"'.($qtg_bbc_underline ? QCHE : '').' onchange="bEdited=true;"/><label for="BbcU"> ',L('Ico_under'),'</label><br>
<input type="checkbox" id="BbcL" name="BbcL" value="Url"'.($qtg_bbc_url ? QCHE : '').' onchange="bEdited=true;"/><label for="BbcL"> ',L('Ico_url'),'</label><br>
<input type="checkbox" id="BbcS" name="BbcS" value="Smiley"'.($qtg_bbc_smiley ? QCHE : '').' onchange="bEdited=true;"/><label for="BbcS"> ',L('Ico_smiley'),'</label>
</td>
<td class="help">',L('HBBC_code'),'</td>
</tr>
</table>
';
echo '<div class="options">',L('Display_options'),'</div>
<table width="100%" class="option">
<tr>
<th>',L('Banner'),'</th>
<td>
<select id="withbanner" name="withbanner" onchange="bEdited=true;">',QTasTag($arrYN,(int)$qtg_banner),'</select>
</td>
<td class="help">',L('HBanner'),'</td>
</tr>
<tr>
<th style="width:180px;">',L('Column_default'),'</th>
<td style="width:240px">
<select id="coldefault" name="coldefault" onchange="bEdited=true;">',QTasTag($arrYN,(int)$qtg_column_default),'</select>
</td>
<td class="help">',L('HColumn_default'),'</td>
</tr>
<tr>
<th>',L('Column_change'),'</th>
<td>
<select id="colchange" name="colchange" onchange="bEdited=true;">',QTasTag($arrYN,(int)$qtg_column_change),'</select>
<td class="help">',L('HColumn_change'),'</td>
</tr>
<tr>
<th>',L('Separate_form'),'</th>
';
if ( $qtg_gkey )
{
echo '<td>
<select id="separateform" disabled="disabled" onchange="bEdited=true;"><option value="Y">',L('Yes'),'</option></select>
<input type="hidden" name="separateform" value="Y"/>
</td>';
}
else
{
echo '<td>
<select id="separateform" name="separateform" onchange="bEdited=true;">',QTasTag($arrYN,(int)$qtg_separateform),'</select>
</td>';
}
echo '
<td class="help">',L('HSeparate_form'),'</td>
</tr>
</table>

<p style="text-align:center"><input type="submit" name="ok" value="',Lh('Save'),'"/></p>
</form>
';

// --------
// HTML END
// --------

include 'qtg_inc_ft.php';