<?php
// QuickTalk Guestbook 4.0.3 build:20220105
session_start(); if ( empty($_SESSION['qtgAuth']) ) { header('Location: qtg_login.php'); die('Access denied.'); }

require 'qtg_init.php'; $qtg_skin='bin/css';

include getLangDir().'qtg_adm.php';

$oP->selfname=L('Messages');
$oP->selfurl='qtg_adm_medit.php';

$a = 'hide';
if ( isset($_GET['a']) ) $a = strip_tags($_GET['a']);
if ( isset($_POST['a']) ) $a = strip_tags($_POST['a']);
if ( $a!='export' && $a!='hide' && $a!='unhide' && $a!='delete' ) $a='hide';

$intYear = (int)date('Y'); if ( intval(date('n'))<2 ) $intYear--; // year filter
$intMonth = 0; // all months

// --------
// SUBMITTED
// --------

if (isset($_POST['ok']))
{
  // Check form value

  $intYear = (int)$_POST['y'];
  $intMonth = (int)$_POST['m'];
  $strIp = strip_tags(trim($_POST['ip']));

  // Count impacted rows

  $str = strval($intYear); if ( $intMonth>0 ) $str = strval($intYear*100+$intMonth);

  switch($oDB->type)
  {
  case 'pdo.mysql': $strWhere = 'SUBSTRING(issuedate,1,'.strlen($str).')="'.$str.'"'; break;
  case 'pdo.sqlite':
  case 'sqlite':
  case 'pdo.oci':
  case 'oci': $strWhere = 'SUBSTR(issuedate,1,'.strlen($str).')="'.$str.'"'; break;
  case 'file': $strWhere = ''; break;
  default: $strWhere = 'SUBSTRING(issuedate,1,'.strlen($str).')="'.$str.'"'; break;
  }
  if ( QT_FILE )
  {
    if ( !empty($strIp) ) $strWhere .= $strIp;
    if ( $a=='hide' ) $strWhere .= 'y';
    if ( $a=='unhide' ) $strWhere .= 'n';
    $intCount = $oDB->FilesCount($strWhere,0,$str,$str,false);
  }
  else
  {
    if ( !empty($strIp) ) $strWhere .= ' AND ip="'.$strIp.'"';
    if ( $a=='hide' ) $strWhere .= ' AND visible="Y"';
    if ( $a=='unhide' ) $strWhere .= ' AND visible="N"';
    $oDB->Query( 'SELECT count(id) as countid FROM '.TABMESSAGE.' WHERE id>=0 AND '.$strWhere );
    $row = $oDB->Getrow();
    $intCount = intval($row['countid']);
  }

  // Execute

  if ( $intCount>0 )
  {
    HtmlRedirect('qtg_adm_medit_exe.php?y='.$intYear.'&m='.$intMonth.'&ip='.$strIp.'&a='.$a.'&n='.$intCount);
    exit;
  }
  else
  {
    $strInfo = $L['E_no_selection'];
    if ( $a=='unhide' ) $strInfo = '[0 hidden message]... '.$L['E_no_selection'];
  }
}

// --------
// HTML START
// --------

include 'qtg_adm_inc_hd.php';

// first year
$firstyear = 0;
if ( QT_FILE )
{
  $count = $oDB->FilesCount('',0,(string)date('Ym'),'0',true);
  $firstyear = (int)substr($oDB->firstfile,0,4);
}
else
{
  $oDB->Query( 'SELECT MIN(issuedate) as firstdate FROM '.TABMESSAGE.' WHERE id>=0 AND issuedate>="2000"' );
  if ($row = $oDB->Getrow()) $firstyear = (int)substr($row['firstdate'],0,4);
}
if ( empty($firstyear) ) $firstyear=date('Y');

$arrYears = array();
for ($i=$firstyear;$i<=date('Y');$i++) $arrYears[$i]=$i;

if ( isset($_GET['y']) && in_array((int)$_GET['y'],$arrYears) ) $intYear = (int)$_GET['y'];
if ( isset($_GET['m']) && ( (int)$_GET['m']>=0 && (int)$_GET['m']<=12 ) ) $intMonth = (int)$_GET['m'];

echo '<div class="inputbox">
<form method="post" action="qtg_adm_medit.php">
<div style="display:flex;justify-content:space-between;margin:0 0 15px 0;padding:0;align-items:flex-start">
<div>
<input type="radio" name="a" value="hide" id="a_hide"',($a=='hide' ? QCHE : ''),'/><label for="a_hide">',L('Hide'),'</label><br>
<input type="radio" name="a" value="unhide" id="a_unhide"',($a=='unhide' ? QCHE : ''),'/><label for="a_unhide">',L('Unhide'),'</label><br>
<input type="radio" name="a" value="delete" id="a_delete"',($a=='delete' ? QCHE : ''),'/><label for="a_delete">',L('Delete'),'</label><br>
<input type="radio" name="a" value="export" id="a_export"',($a=='export' ? QCHE : ''),'/><label for="a_export">',L('Export'),'</label><br>
</div>
<div style="width:230px;border-left:solid 1px #aaaaaa;padding-left:5px">
<p class="inputbox">',L('Messages_posted_in'),'&nbsp;
<select name="y">',QTasTag($arrYears,$intYear),'</select>
<br><br>',$L['Month'],'&nbsp;<select name="m"><option value="0">',$L['All'],'</option>',QTasTag($L['dateMMM'],$intMonth),'</select>
<br><br>',$L['From_IP'],'&nbsp;<input type="text" name="ip" size="16" maxlength="24"/>
<br><span class="small">',$L['HFrom_IP'],'</span>
</p>
</div>
</div>
<p class="inputbox"><a class="button" href="qtg_adm_msg.php">',L('Cancel'),'</a> &nbsp; <input type="submit" name="ok" value="',Lh('Next'),'&nbsp; &#9654;"/></p>
</div>
<br>
';


// --------
// HTML END
// --------

include 'qtg_inc_ft.php';