<?php
// QuickTalk Guestbook 4.0 build:20200514
session_start(); if ( empty($_SESSION['qtgAuth']) ) { header('Location: qtg_login.php'); die('Access denied.'); }

require 'qtg_init.php'; $qtg_skin='bin/css';

// SUBMITTED arg
if ( empty($_GET['file']) && empty($_POST['file']) ) die('Missing text filename');
$rows = empty($_GET['rows']) ? 15 : (int)$_GET['rows']; if ( $rows<15 || $rows>50 ) $rows=15;
$file = empty($_GET['file']) ? $_POST['file'] : $_GET['file']; // support GET or POST
if ( substr($file,-4,4)!=='.txt' ) die('Missing text filename');
$file = urldecode($file);

// INITIALISE
$readonly = substr($file,0,7)!=='config/';
include getLangDir().'qtg_adm.php';
$oP->selfname=L( $readonly ? 'Text' : 'Edit' ).( empty($_GET['v']) ? '' : ' - '.L('version').' '.urldecode($_GET['v']));
$oP->selfurl='qtg_adm_txt.php';

// --------
// SUBMITTED create
// --------
if ( isset($_GET['a']) && $_GET['a']==='new' && !file_exists($file) )
{
  if ( $readonly ) die('Only config/ text file can be edited');
  // Create file.
  if ( empty($error) )
  {
     if ( !$handle=fopen($file, 'w') ) $error='Impossible to open the file ['.$file.'].';
  }
  if ( empty($error) )
  {
     if (fwrite($handle, 'Welcome') === FALSE)
     {
       $error = 'Impossible to write into the file ['.$file.'].';
     }
     else
     {
       fclose($handle);
     }
  } 
  // exit
  $_SESSION[QT.'pagedialog'] = (empty($error) ? 'O|'.L('S_save') : 'E|'.$error);
}

// --------
// SUBMITTED save changes
// --------

if ( isset($_POST['ok']) && isset($_POST['content']) )
{
  if ( $readonly ) die('Only config/ text file can be edited'); 
  $error = saveToFile($file,$_POST['content']);
  // exit
  $_SESSION[QT.'pagedialog'] = (empty($error) ? 'O|'.$L['S_save'] : 'E|'.$error);
}

// --------
// HTML START
// --------

include 'qtg_adm_inc_hd.php';

if ( file_exists($file) )
{
  // read file
  $str = file_get_contents($file);
  
  // editor
  echo '<form method="post" action="',$oP->selfurl,'">
  <div class="options">',$file,'</div>
  <table class="option">
  <tr>
  <td style="padding:15px">
  <input type="hidden" name="file" value="',$file,'"/>
  <textarea name="content" rows="',$rows,'" cols="82"',($readonly ? ' readonly' : ''),'>',$str,'</textarea>
  ',( isset($_GET['help']) && isset($L[$_GET['help']]) ? '<p>'.$L[$_GET['help']].'</p>' : ''),' 
  </td>
  </tr>
  </table>
  ';
  echo '<p style="text-align:center"><a class="button" href="qtg_adm_site.php">',L('Cancel'),'</a>',($readonly ? '' : ' &nbsp; <input type="submit" name="ok" value="'.Lh('Save').'"/>' ) ,'</p>
  </form>
  ';
}
else
{
  echo '<p>File not found: ',$file,'</p>';
  echo '<p style="text-align:center"><a class="button" href="qtg_adm_site.php">',L('Cancel'),'</a>',($readonly ? '' : ' &nbsp; <a class="button" href="'.$oP->selfurl.'?file='.$file.'&a=new">Create file...</a>') ,'</p>';
}

// --------
// HTML END
// --------

include 'qtg_inc_ft.php';