<?php

// QuickTalk Guestbook 4.0.3 build:20210106

if ( !isset($certificate) ) die('invalid address');
if ( !isset($formaction) ) die('invalid address');
if ( !isset($bAdm) ) $bAdm=false;
$formHidden = '';
if ( isset($p) ) $formHidden .= '<input type="hidden" name="p" value="'.$p.'"/>';
if ( $bAdm ) $formHidden .=  '<input type="hidden" name="adm" value="1"/>';

echo '
<script type="text/javascript" src="bin/js/qtg_bbc.js"></script>
';

echo '
<!-- form -->
<a name="addmsg"></a>

<div class="reply">
<form method="post" action="',$formaction,'">
<table class="reply">
';

// admin only on edit message
if ( $oP->selfurl!=='qtg_msg_add.php' && !empty($_SESSION['qtgAuth']) )
{
  echo '<tr class="reply">
  <td class="reply">',L('Date'),'</td>
  <td class="reply">',QTdatestr($oPost->issuedate,FORMATDATE,FORMATTIME,true),' <input type="checkbox" id="resetdate" name="resetdate" value="y"><label for="resetdate">',L('Reset_date'),'</label></td>
  </tr>
  ';
}

echo '<tr class="reply">
<td class="reply"><label for="name">',L('Name'),'*</label></td>
<td class="reply"><input required type="text" id="name" name="name" value="',QTattr($oPost->name),'" size="42" maxlength="50" tabindex="1"/>';

echo '</td>
</tr>
';

$age = $qtg_use_age ? '<input type="text" id="age" name="age" value="'.($oPost->userage<1 ? '' : $oPost->userage).'" size="2" maxlength="3" tabindex="2" pattern="([1-9]|^[1-9][0-9]{1,2}$)"/>' : '';
if ($qtg_use_from)
{
echo '<tr class="reply">
<td class="reply"><label for="from">',L('Location'),'</label></td>
<td class="reply">';
if ($qtg_use_from_type==0) echo '<input type="text" id="form" name="from" value="',$oPost->postfrom,'" size="30" maxlength="50" tabindex="4"/>';
if ($qtg_use_from_type==1)
{
include getLangDir().'qtg_cntry.php';
echo '<select id="from" name="from" tabindex="4">';
foreach($country as $key=>$val)
{
  if ($key=='--')
  {
    echo '<option value="" ',($val==$oPost->postfrom ? QSEL : ''),'>',$val,'</option>';
  }
  else
  {
    echo '<option value="',$val,'" '.($val==$oPost->postfrom ? QSEL : '').'>',$val,'</option>';
  }
}
echo '</select>';
}

echo ( empty($age) ? '' : ' <label for="age">'.L('Age').'</label> '.$age ),'</td>
</tr>
';
}
else if ( $qtg_use_age )
{
echo '<tr class="reply">
<td class="reply"><label for="from">',L('Age'),'</label></td>
<td class="reply">',$age,'</td>
</tr>';
}

if ($qtg_use_email)
{
echo '<tr class="reply">
<td class="reply"><label for="mail">',$L['Email'],'</label></td>
<td class="reply"><input type="email" id="mail" name="mail" value="',$oPost->useremail,'" size="42" maxlength="50" tabindex="3"/></td>
</tr>
';
}

echo '<tr class="reply">
<td class="reply"><label for="msg">',L('Message'),'*</label>
<p style="margin:5px 0 0 0">
';
if ($qtg_bbc_bold)      echo '<a href="#addmsg" class="bbc bold" onclick="storeCaret(\'b\')" title="',Lh('Ico_bold'),'">B</a>';
if ($qtg_bbc_italic)    echo '<a href="#addmsg" class="bbc italic" onclick="storeCaret(\'i\')" title="',Lh('Ico_italic'),'">I</a>';
if ($qtg_bbc_underline) echo '<a href="#addmsg" class="bbc underline" onclick="storeCaret(\'u\')" title="',Lh('Ico_under'),'">U</a>';
if ($qtg_bbc_url)       echo '<a href="#addmsg" class="bbc" onclick="storeCaret(\'url\')" title="',Lh('Ico_url'),'"><i class="qtg-icon icon-link"></i></a>';
if ($qtg_bbc_smiley)
{
  echo '</p><p style="margin:5px 0 0 0">';
  echo '<a href="#addmsg" onclick="smilie(',"'[:)]'",'); return false;"><img class="smile" id="smile01" src="',$qtg_skin,'/ico_smile_01.gif" width="14" height="14" title="',L('Ico_smile01'),'" alt=":)" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:(]'",'); return false;"><img class="smile" id="smile02" src="',$qtg_skin,'/ico_smile_02.gif" width="14" height="14" title="',L('Ico_smile02'),'" alt=":(" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:|]'",'); return false;"><img class="smile" id="smile03" src="',$qtg_skin,'/ico_smile_03.gif" width="14" height="14" title="',L('Ico_smile03'),'" alt=":|" style="border-width:0px; vertical-align:middle; margin:4px;"/></a><br>';
  echo '<a href="#addmsg" onclick="smilie(',"'[;)]'",'); return false;"><img class="smile" id="smile04" src="',$qtg_skin,'/ico_smile_04.gif" width="14" height="14" title="',L('Ico_smile04'),'" alt=";)" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:t]'",'); return false;"><img class="smile" id="smile05" src="',$qtg_skin,'/ico_smile_05.gif" width="14" height="14" title="',L('Ico_smile05'),'" alt=":t" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:o]'",'); return false;"><img class="smile" id="smile06" src="',$qtg_skin,'/ico_smile_06.gif" width="14" height="14" title="',L('Ico_smile06'),'" alt=":o" style="border-width:0px; vertical-align:middle; margin:4px;"/></a><br>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:?]'",'); return false;"><img class="smile" id="smile07" src="',$qtg_skin,'/ico_smile_07.gif" width="14" height="14" title="',L('Ico_smile07'),'" alt="?" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:!]'",'); return false;"><img class="smile" id="smile08" src="',$qtg_skin,'/ico_smile_08.gif" width="14" height="14" title="',L('Ico_smile08'),'" alt="!" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
  echo '<a href="#addmsg" onclick="smilie(',"'[:*]'",'); return false;"><img class="smile" id="smile09" src="',$qtg_skin,'/ico_smile_09.gif" width="14" height="14" title="',L('Ico_smile09'),'" alt="*" style="border-width:0px; vertical-align:middle; margin:4px;"/></a>';
}
echo '</p></td>';
echo '<td class="reply">
<textarea required id="msg" name="msg" rows="10" cols="44" tabindex="5">',QTattr($oPost->message),'</textarea></td>';
echo '</tr>
';

unset($_SESSION['textcolor']);
if ( $qtg_antispam===0 ) $qtg_antispam='none'; // legacy code
if ( $qtg_antispam===1 ) $qtg_antispam='text'; // legacy code
if ( $qtg_antispam===2 ) $qtg_antispam='image'; // legacy code
switch($qtg_antispam)
{
case 'text':
  $keycode = empty($_SESSION['qtgAuth']) ? rand(0,9).rand(0,9).rand(0,9).rand(0,9) : '0000';
  $_SESSION['textcolor']=sha1($keycode);
  echo '<tr class="reply">';
  echo '<td class="reply"><label for="secu">'.L('Security').'*</label></td>';
  echo '<td class="reply"><div class="codebox" title="security code">'.$keycode.'</div><input required type="text" id="secu" name="secu" value="'.(empty($_SESSION['qtgAuth']) ? '' : '0000').'" size="5" maxlength="5" tabindex="6" pattern="[0-9]{4}"/> <span class="small">'.L('HSecurity').'</span></td>';
  echo '</tr>';
  break;
case 'image':
  echo '<tr class="reply">';
  echo '<td class="reply"><label for="secu">'.L('Security').'*</label></td>';
  echo '<td class="reply"><img class="codebox" width="100" height="35" src="bin/css/qt_icode.php" alt="no GD lib." title="security code"/>';
  echo '<input required type="text" id="secu" name="secu" value="'.(empty($_SESSION['qtgAuth']) ? '' : '0000').'" size="5" maxlength="5" tabindex="6" pattern="[0-9]{4}"/>&nbsp;<span class="small">'.L('HSecurity').'</span></td>';
  echo '</tr>';
  break;
case 'reCAPTCHAv2':
  echo '<tr class="reply">';
  echo '<td class="reply"><label for="secu">'.L('Security').'*</label></td>';
  echo '<td class="reply"><div id="reCAPTCHAv2" style="margin:0 0 10px 0"></div><script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit" async defer></script></td>';
  echo '</tr>';
  break;
case 'reCAPTCHAv3':
  break;
case 'none':
  $formHidden .= '<input type="hidden" id="secu" name="secu" value="0000"/>';
  break;
}

// Initialise map form
if ( $qtg_gkey )
{
  //check/reset geocoding limits
  if ( empty($_SESSION[QT]['geocodes']) ) $_SESSION[QT]['geocodes']=0;
  if ( $_SESSION[QT]['geocodes']>$qtg_geocode )
  {
    if ( !isset($_SESSION[QT]['geocodetime']) ) $_SESSION[QT]['geocodetime']='0';
    if ( date('YmdHis')>$_SESSION[QT]['geocodetime'] ) { $_SESSION[QT]['geocodes']=0; $_SESSION[QT]['geocodetime']='0'; } // if expired, reset register to 0
  }
  // Build map form
  $strPosition  = '<p class="gmap top">'.$L['map_cancreate'];
  $strPosition .= ' | <a href="javascript:void(0)" onclick="createMarker(); return false;" title="'.L('map_H_pntadd').'">'.L('map_pntadd').'</a>';
  $strPosition .= ' | <a href="javascript:void(0)" onclick="deleteMarker(); return false;">'.L('map_pntdelete').'</a>';
  if ( isset($oPost) && $oPost->hasCoord() )
  {
  	$qtg_gcenter = $oPost->getCoord(); // default center is the post YX
    $strPosition  = '<p class="gmap top">'.$L['map_canmove'];
    $strPosition .= ' | <a href="javascript:void(0)" onclick="deleteMarker(); return false;">'.L('map_pntdelete').'</a>';
    $strPosition .= ' | <a href="javascript:void(0)" onclick="undoChanges(); return false;">'.L('map_undo').'</a>';
  }
  $strPosition .= '</p>'.PHP_EOL;
  $strPosition .= '<div id="map_canvas"></div>'.PHP_EOL;
  $strPosition .= '<input type="hidden" id="yx" name="yx" value="'.(isset($oPost) ? $oPost->getCoord() : '').'"/>'.PHP_EOL;
  if ( !empty($qtg_geocode) )
  {
    if ( $qtg_geocode<=$_SESSION[QT]['geocodes'] )
    {
    $strPosition .= '<p class="gmap bottom">'.L('map_addrlatlng').' ';
    $strPosition .= '<input type="hidden" id="geocodes" value="0"/>';
    $strPosition .= '<input type="text" size="24" id="find" name="find" value="'.$qtg_gfind.'" title="'.L('map_H_addrlatlng').'" onkeypress="if (qtKeyEnter(event)) showLocation(this.value,null);"/>';
    $strPosition .= '<i id="findit" class="qtg-icon icon-search disabled" onclick="showLocation(document.getElementById(\'find\').value,null);" title="'.L('Search').'"></i></p>';
    }
    else
    {
    $strPosition .= '<p class="gmap bottom disabled">('.L('map_Geocode_exceeded').') <i class="qtg-icon icon-search disabled"></i></p>';
    }
  }
  echo '<tr class="reply">
  <td class="mapservice" colspan="2"><div class="gmap">',$strPosition,'</div></td>
  </tr>
  ';
}

echo '</table>
<p class="formhelp">*',L('Mandatory_fields'),'</p>
';

if ( !empty($_SESSION['qtgAuth']) && $oPost->visible==='U' )
{
echo '<p class="formsubmit"><i class="qtg-icon icon-attention"></i> ',L('Unhide_by_reviewer'),' <input type="checkbox" id="visible" name="visible" value="Y" checked><label for="visible">',L('Publish'),'</label></p>';
}
echo $formHidden,'<input type="hidden" name="id" value="',$id,'"/>
<p class="formsubmit"><button type="submit" name="ok" value="',$certificate,'" tabindex="7">',L('Send'),'</button></p>
</form>
</div>
';
echo '
<script type="text/javascript">document.getElementById("name").focus();</script>
';

echo '
<!-- end form -->
';

if ( $qtg_gkey )
{
	$gmap_markers = array();
	$gmap_events = array();
	$gmap_functions = array();
	if ( $oPost->hasCoord() )
	{
		$gmap_markers[] = QTgmapMarker($oPost->getCoord(),true,$qtg_gsymbol);
		$gmap_events[] = '
	google.maps.event.addListener(markers[0], "position_changed", function() {
		gmapYXfield("yx",markers[0]);
	});
	google.maps.event.addListener(marker[0], "dragend", function() {
		map.panTo(markers[0].getPosition());
	});';
	}
	$gmap_functions[] = '
  function undoChanges()
  {
    if (infowindow) infowindow.close();
    if (markers[0]) markers[0].setPosition(mapOptions.center);
    if (mapOptions) map.panTo(mapOptions.center);
    return null;
  }
  function showLocation(address,title)
  {
    if ( infowindow ) infowindow.close();
    geocoder.geocode( { "address": address}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK)
      {
        map.setCenter(results[0].geometry.location);
        if ( markers[0] )
        {
          markers[0].setPosition(results[0].geometry.location);
        } else {
          markers[0] = new google.maps.Marker({map: map, position: results[0].geometry.location, draggable: true, animation: google.maps.Animation.DROP, title: title});
        }
			  gmapYXfield("yx",markers[0]);
      } else {
        alert("Geocode was not successful for the following reason: " + status);
      }
      countGeocodes();
    });
  }
  function createMarker()
  {
    if ( !map ) return;
    if (infowindow) infowindow.close();
    deleteMarker();
    '.QTgmapMarker('map',true,$qtg_gsymbol).'
    gmapYXfield("yx",markers[0]);
    google.maps.event.addListener(markers[0], "position_changed", function() { gmapYXfield("yx",markers[0]); });
    google.maps.event.addListener(markers[0], "dragend", function() { map.panTo(markers[0].getPosition()); });
  }
  function deleteMarker()
  {
    if (infowindow) infowindow.close();
    for(var i=markers.length-1;i>=0;i--)
    {
      markers[i].setMap(null);
    }
    gmapYXfield("yx",null);
    markers=[];
  }
  ';
	include 'qtg_map_load.php';
}