<?php
// QuickTalk Guestbook 4.0.3 build:20210106

// Lang menu

$m = array();
if ( $qtg_menulang )
{
  $m = array();
  foreach (LANGUAGES as $iso=>$str) {
    $str = explode(' ',$str,2); $lbl = $str[0]; $str = isset($str[1]) ? $str[1] : $lbl;
    $m[] = new CMenu( $lbl, 'id=lang-'.$iso.'|href='.Href($oP->selfurl).'?'.getURI('lang').'&lang='.$iso.'|class='.($qtg_banner=='1' ? 'banner' : 'nobanner').'|title='.QTattr($str) );
  }
}
// Contrast
if ( QT_SHOW_CONTRAST && !$bAdm )
{
  if ( $_SESSION[QT]['contrast'] ) $oHtml->links['contrast'] = '<link rel="stylesheet" type="text/css" href="bin/css/qtg_contrast.css" />';
  //$m[] = new cMenu( '<img style="width:12px;height:12px;vertical-align:middle" src="bin/css/qtg_contrast.gif" title="High contrast display" alt="Contrast"/>', '{"href":"'.Href($oP->selfurl).'?'.GetURI('css').'&amp;css='.($_SESSION[QT]['contrast'] ? 'maincss' : 'contrast' ).'","class":"css-default"}' );
  $m[] = new cMenu( '<i class="qtg-icon icon-adjust" title="High contrast display" style="margin-left:5px"></i>', '{"href":"'.Href($oP->selfurl).'?'.GetURI('css').'&amp;css='.($_SESSION[QT]['contrast'] ? 'maincss' : 'contrast' ).'","class":"css-default"}' );
}
$oLang = new cMenu( $m, '{"id":"langmenu"}' );

$oHtml->links['icon'] = '<link rel="shortcut icon" href="'.$qtg_skin.'/qtg_icon.ico" />';
$oHtml->links['css'] = '<link rel="stylesheet" type="text/css" href="'.$qtg_skin.'/qt_base.css" />
<link rel="stylesheet" type="text/css" href="'.$qtg_skin.'/qtg.css" id="maincss" />';


// START

$oHtml->title = (empty($oP->selfname) ? '' : $oP->selfname.' - ').$oHtml->title;
echo $oHtml->Head();
echo $oHtml->Body(array('onload'=>(isset($strBodyAddOnload) ? $strBodyAddOnload : null),'onunload'=>(isset($strBodyAddOnunload) ? $strBodyAddOnunload : null)));

echo '
<!-- PAGE CONTROL -->
<div class="page">

';

if ($qtg_banner)
{
echo '<!-- banner -->',PHP_EOL;
echo '<div class="banner">',PHP_EOL;
echo '<img class="logo" src="',$qtg_skin,'/qtg_logo',$qtg_type,'.gif" alt="QuickTalk"/>',PHP_EOL;
echo $oLang->output('lang-'.$_SESSION[QT]['language'],'{"tag":"span"}');
echo '</div>',PHP_EOL;
}
else
{
echo '<div class="nobanner">',PHP_EOL;
echo $oLang->output('lang-'.$_SESSION[QT]['language'],'{"tag":"span"}');
echo '</div>',PHP_EOL;
}

echo '
<!-- START BODY BLOCK -->
<div class="body">

';