<?php
// QuickTalk Guestbook 4.0.3 build:20220105
session_start();
/**
 * @var cVIP $oP
 * @var cHtml $oHtml
 * @var array $L
 * @var cDB $oDB
 */
require 'qtg_init.php'; $qtg_skin='bin/css';

// INITIALISE

$ok = '';
$usr = '';
$pwd = '';
QThttp('ok usr pwd');
$oP->selfurl='qtg_login.php';
$oP->selfname=L('Administration').' - '.L('login') ;
$bJava=false;

// Check install

if ( !isset($qtg_install) ) $qtg_install='';
if ( empty($qtg_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo '
  <p>QuickTalk ',VERSION,' <a id="exiturl" href="install/index.php">starting installation or upgrade</a>...</p>
  <script type="text/javascript">setTimeout(\'window.location=document.getElementById("exiturl").href\',0);</script>
  ';
  exit;
  }
}

// --------
// SUBMITTED for log-in
// --------

if ( !empty($ok) )
{
  // CHECK FORM VALUE
  if ( !QTislogin($usr,2) ) $oP->err = $L['Username'].' '.L('E_invalid');
  if ( !QTispassword($pwd,2) ) $oP->err = $L['Password'].' '.L('E_invalid');

  // check login
  if ( empty($error) )
  {
    if ( ($usr!=$qtg_user) && ($usr!=$qtg_user_2) ) $oP->err=L('E_access_denied');
  }
  // check pwd
  if ( empty($error) )
  {
    if ( ($usr==$qtg_user) && ($pwd!=$qtg_pwd) ) $oP->err=L('E_access_denied');
    if ( ($usr==$qtg_user_2) && ($pwd!=$qtg_pwd_2) ) $oP->err=L('E_access_denied');
  }

  // execute
  if ( empty($oP->err) )
  {
  $_SESSION['qtgAuth'] = QT;
  $oHtml->Redirect('qtg_adm_site.php');
  }
}

// --------
// SUBMITTED for log-out
// --------

if ( isset($_GET['a']) && $_GET['a']==='out' ) {
  if ( isset($_COOKIE[QT.'_cooklang']) ) {
    if ( PHP_VERSION_ID<70300 ) {
      setcookie(QT.'_cooklang', $qtg_language, time()+3600*24*100, '/');
    } else {
      setcookie(QT.'_cooklang', $qtg_language, array('expires'=>time()+3600*24*100,'path'=>'/','samesite'=>'Strict'));
    }
  }
  session_destroy();
  $oHtml->Redirect('qtg_index.php');
}

// --------
// HTML
// --------

$oHtml->links[] = '<style>
#toggle-pwd{float:right;position:relative;z-index:2;margin:2px 5px 0 -25px;color:#999}
#toggle-pwd:hover{color:#000;cursor:pointer}
</style>';
$oHtml->scripts_end[] = '<script type="text/javascript">
function togglePwd() {
  var d = document.getElementById("pwd");
  if ( d.type==="password" ) { d.type="text"; } else { d.type="password"; }
}
document.getElementById("usr").focus();
if ( document.getElementById("usr").value.length>1 ) { document.getElementById("pwd").focus(); }
</script>
';

include 'qtg_adm_inc_hd.php';

echo '<form method="post" action="',Href('qtg_login.php'),'">
<div class="login">
<p><label for="usr">',L('Username'),'</label> <input required type="text" id="usr" name="usr" size="15" maxlength="24" value="',$usr,'" tabindex="1"/></p>
<p><label for="pwd">',L('Password'),'</label> <input required type="password" id="pwd" name="pwd" size="15" maxlength="24" tabindex="2"/><i id="toggle-pwd" class="qtg-icon icon-eye" onclick="togglePwd();"></i></p>
<p style="margin-top:20px"><a class="button" href="',Href('qtg_index.php'),'" tabindex="4">',L('Cancel'),'</a> &nbsp; <input type="submit" name="ok" value="',Lh('Login'),'" tabindex="3"/></p>
</div>
</form>
<br>
';

include 'qtg_inc_ft.php';